2003-03-26  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.14: See previous LSM.in log message

	* src/version.h 1.29: Bump version to 2.7.10

	* doc/changes.txt 1.132: Update

	* src/command.c 1.264:
	Disable reporting of two user-settable strings as they may be a
	security problem

2003-03-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.258: if 0 rxvt_scr_dump() fully, not just content

	* doc/changes.txt 1.131: Update

	* src/command.c 1.263:
	Remove escape sequence access to menubar due to possible
	security problems

	* doc/changes.txt 1.130: Update

	* src/screen.c 1.257, src/command.c 1.262:
	Remove screen dump feature as it's currently too likely to be
	open to abuse and is thus a security concern

2003-03-07  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/configure.in 1.126:
	autoconf changes.  Quotes were fixed in AC_ARG_ENABLE

	* Makefile.in 1.16:
	Use the prebuild machinery to work around autoconf's
	backwards incompatibility

	* doc/yodl/rxvtRef-privatemodes.yo 1.5: Private mode 2 for VT52 mode

	* doc/changes.txt 1.129: Update

	* src/rxvt.h 1.163, src/command.c 1.261:
	fix bug where control characters weren't being processed inside
	escape sequences and add support for VT52 commands, from
	Rob McMullen <robm@flipturn.org>

2003-02-28  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.128: Update

	* doc/yodl/rxvt-resources.yo 1.30, src/rxvt.h 1.162, src/rxvtlib.h.in 1.10, src/xdefaults.c 1.108, src/command.c 1.260:
	Add mouseWheelScrollPage long option, from
	Rob McMullen <robm@flipturn.org>

2002-12-24  Geoff C. Wing  <gcw@rxvt.org>

	* W11/wrap/rxvt.rc 1.3, W11/w32/event.c 1.3, W11/w32/xlib.c 1.3:
	Changes from Steve O:
	 fix the shift-KP+ and shift-KP-
	 fix the NeXT scrollbar oddness
	 bump cygwin revision to 2.7.9-3

2002-12-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.161:
	Make sure we have h->ut_id when appropriate, noticed by
	Gabor Z. Papp <gzp@papp.hu>

2002-12-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.38:
	Add missing variable with HAVE_UTMP_PID, noticed by
	Mark Leisher <mleisher@crl.nmsu.edu>

	* src/logging.c 1.37: s/RXVT_UTMP_PID/HAVE_UTMP_PID/ , noticed by
	Mark Leisher <mleisher@crl.nmsu.edu>

2002-12-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.36: Move a brace, noticed by
	Gabor Z. Papp <gzp@papp.hu>

	* doc/changes.txt 1.127: Update

	* W11/w32/ntdef.h 1.2, W11/w32/ntutil.c 1.2, W11/w32/xlib.c 1.2, W11/wrap/Makefile 1.2, W11/wrap/mkproxy.pl 1.2, W11/wrap/rxtv.ico 1.2, W11/wrap/rxvt.ico 1.2, W11/wrap/rxvt.rc 1.2, W11/wrap/wrap.c 1.2, W11/wrap/wrap.h 1.2, W11/wrap/xwrappers.gen 1.2, autoconf/configure.in 1.125, src/command.c 1.259, src/init.c 1.103, src/screen.c 1.256, Makefile.in 1.15, W11/Makefile.in 1.2, W11/Makefile.xpm 1.2, W11/X11/Intrinsic.h 1.2, W11/X11/Xatom.h 1.2, W11/X11/Xlib.h 1.2, W11/X11/Xlocale.h 1.2, W11/X11/Xmd.h 1.2, W11/X11/Xutil.h 1.2, W11/X11/cursorfont.h 1.2, W11/X11/keysym.h 1.2, W11/X11/keysymdef.h 1.2, W11/w32/Makefile 1.2, W11/w32/event.c 1.2:
	Pull in cygwin branch

	* autoconf/xpm.m4 1.4:
	Hack to try .../X11/Xpm.h even with specified include path.
	This section needs cleaning up some time

2002-11-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.258:
	Handle private mode CSI sequence sets separately from other
	sequences to avoid unintentional behaviour.  Noticed by
	Steve O <bub@io.com>

2002-11-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.35: Fix up ifdef's for inclusion for ut_host

	* src/test/Makefile.in 1.11:
	Refix.  Just spell out targets rather than using $? or similar

	* src/test/Makefile.in 1.10: Only use the implied source variable

2002-11-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.160:
	Don't force a 256 colour mask for only MULTICHAR_SET since
	we don't fix up the macros (depending on Color_Bits) later on,
	noticed by
	Yamanobe Kiichiro <yamky@cocoa.freemail.ne.jp>

2002-11-06  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.126: Update

	* src/screen.c 1.255:
	Fix a clearing error when internal border width is zero, from
	Mikko Leppänen <mikklepp@ranssi.paivola.net>

2002-10-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.172:
	Fix check for PROPFONT_MULTI.  It was missing multiplier.  From
	Yamanobe Kiichiro <yamky@cocoa.freemail.ne.jp>

2002-10-15  Geoff C. Wing  <gcw@rxvt.org>

	* .prebuild 1.4: Support non backward compatible autoheader & autoconf

2002-10-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.171: "Promote" Status return type to int

2002-10-08  Geoff C. Wing  <gcw@rxvt.org>

	* W11/Makefile.xpm 1.1: New file.

	* src/screen.c 1.254:
	Basic users get basic functionality.  Require USE_XIM for
	Compound Text Encoding responses

2002-10-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.56:
	Only bring in Xmb* routines when we have XIM support

	* Makefile.in 1.14: acconfig.h is gone

	* W11/X11/Intrinsic.h 1.1, W11/X11/Xatom.h 1.1, W11/X11/Xlib.h 1.1, W11/X11/Xlocale.h 1.1, W11/X11/Xmd.h 1.1, W11/X11/Xutil.h 1.1, W11/X11/cursorfont.h 1.1, W11/X11/keysym.h 1.1, W11/X11/keysymdef.h 1.1, W11/X11/xpm.h 1.1, W11/w32/Makefile 1.1, W11/w32/event.c 1.1, W11/w32/ntdef.h 1.1, W11/w32/ntutil.c 1.1, W11/w32/xlib.c 1.1, W11/wrap/Makefile 1.1, W11/wrap/mkproxy.pl 1.1, W11/wrap/rxtv.ico 1.1, W11/wrap/rxvt.ico 1.1, W11/wrap/rxvt.rc 1.1, W11/wrap/wrap.c 1.1, W11/wrap/wrap.h 1.1, W11/wrap/xwrappers.gen 1.1, W11/Makefile.in 1.1:
	New file.

2002-10-05  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/acconfig.h 1.46, autoconf/configure.in 1.124, autoconf/xpm.m4 1.3:
	Generate config.h.in completely through autoheader
	Clean up some of the tests for utmp and friends

2002-10-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/version.h 1.28: Bump version to 2.7.9

2002-10-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.34: Fix typo on var name

	* src/logging.c 1.33, autoconf/acconfig.h 1.45, autoconf/configure.in 1.123:
	Basic support for lastlogx

	* src/command.c 1.257:
	Make CONTROL the only override for Backspace, removing SHIFT

	* Makefile.in 1.13: Remove autom4te.cache with target "clean"

	* autoconf/config.guess 1.5: Update to version at date 2002-09-03

	* autoconf/config.sub 1.5: Update to version at date 2002-09-05

	* src/logging.c 1.32, src/logging.h 1.10, src/rxvt.h 1.159, autoconf/configure.in 1.122, autoconf/acconfig.h 1.44:
	Reimplement support for utmp/utmpx variations to allow multiple
	types on one system.  Tested compile on recent Solaris, FreeBSD
	and some GNU/Linux systems.  QNX support not yet readded.
	First pass

2002-09-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.256:
	If in mouse reporting mode, unconditionally avoid button 4 & 5
	irrespective of mouse wheel support

	* src/main.c 1.170:
	Currently only check the first IM server in the list, from
	Kuang-che Wu <kcwu@kcwu.homeip.net>

	* src/command.c 1.255:
	Don't report wheel (button) mouse release events to application
	thus matching xterm's practice, from
	Pavel Roskin <proski@gnu.org>

2002-09-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/ptytty.c 1.6, autoconf/acconfig.h 1.43, autoconf/configure.in 1.121:
	For pty searching OSs, change the limitation so that the limit
	on searched devices is as many as the system configured on -
	may or may not be greater than a hard coded list.  Caveat:
	system configured on should have as many ptys configured as
	all client systems the compiled binary will be run on.  Based
	on the screen configure.in version, from
	Kazutoshi Kubota <yakk@willbe6.org>

	* src/command.c 1.254, src/menubar.c 1.55, autoconf/configure.in 1.120:
	Use a proper sleep call for sleeping - but only link in one

	* src/command.c 1.253:
	Change mouse reporting of button 4/5 events (used by wheel on
	wheel mice) to be similar to xterm (note: release events for
	button 4/5 still reported though xterm doesn't), from
	Pavel Roskin <proski@gnu.org>

2002-08-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.102: Try to be safer with file descriptors

	* src/command.c 1.252: Fix a signed/unsigned type mismatch

2002-08-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.253:
	Fix up saved cursor position upon screen size increase, from
	Malcolm Smith <m.h.smith@ed.ac.uk>

	* src/init.c 1.101, src/main.c 1.169, src/rxvt.h 1.158, src/screen.c 1.252:
	Another slight cleanup from 256 colour changes

	* doc/changes.txt 1.124: Update

	* src/rxvt.h 1.157:
	Small cleanup.  define some colour numbers instead of enum

	* autoconf/acconfig.h 1.42, autoconf/configure.in 1.119, src/command.c 1.251, src/init.c 1.100, src/main.c 1.168, src/rxvt.h 1.156, src/rxvtlib.h.in 1.9, src/screen.c 1.251, src/xdefaults.c 1.107, README.configure 1.18:
	Add support for 256 colours (instead of 16 colours) with
	configure --enable-256-color option. From
	Kazutoshi Kubota <tu7k-kbt@asahi-net.or.jp>

2002-08-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.250:
	Only check the fd set after a successful select() call, from
	Christian B. (bloodjerk)

	* rclock/rclock.c 1.6: Limit fd set size for select, from
	Christian B. (bloodjerk)

2002-06-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.155:
	Don't bother with setting TERM to kterm anymore, suggest by
	Kazutoshi Kubota <yakk@willbe6.org>

	* src/init.c 1.99:
	Have the parent provide a /dev/null stdin fd and a stdout fd
	as a duplicate of stderr.  Only when PRINT_PIPE is defined
	should we be invoking anything else after the original shell

2002-06-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.54: Rename shadowing local variables

2002-04-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.43: Protect some variables within #ifdef

	* src/init.c 1.98: Only setup scrollbars if we have them

	* src/command.c 1.249:
	Exit on abnormal read(cmdfd) failure which may occur upon signal
	failure from child.  Noticed by
	Marius Gedminas <mgedmin@delfi.lt>

	* doc/changes.txt 1.123: Update

	* rclock/feature.h 1.3, rclock/rclock.1.in 1.4, rclock/rclock.c 1.5:
	Changes from Matthew W. Roberts <matt@cgijobs.com>:
	- Fix bug for -iconic option.  It didn't work right if -iconic was
	  the last option.
	- Add some comments regarding -mailfile option
	- Show today's date on the lower half of the clock (via
	  DATE_ON_CLOCK_FACE define in feature.h)
	- Add -mailspawn option if MAIL_SPAWN is not defined at compile time
	  (also requires MAIL to be defined)

	* doc/changes.txt 1.121: Update

	* src/scrollbar-rxvt.c 1.10, src/scrollbar-xterm.c 1.11, src/scrollbar.c 1.42, src/xdefaults.c 1.106, src/command.c 1.248, src/feature.h 1.69, src/init.c 1.97, src/main.c 1.167, src/rxvt.h 1.154, src/rxvtlib.h.in 1.8, src/screen.c 1.250:
	Move more scrollbar stuff into scrollbar.c
	Allow delayed creation of the scrollbar window.  If we don't start with
	one then don't create it unless we receive an escape sequence for it
	Compact some (rxvt_t) TermWin proportional font flags into one variable
	Add -sbt/--thickness to allow user-supplied scrollbar width - currently
	not available for NeXT style scrollbars

2002-04-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.247, src/screen.c 1.249:
	Clean up some signed/unsigned comparisons

2002-04-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.248:
	Stopgap measure as intermediate stage to provide reasonable
	display for fast link with slow link support enabled.  Do line
	by line updates rather than large (undefined/blank) XCopyArea
	updates when we're partially obscured

2002-02-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.105:
	Jump through some hoops to properly order the resources
	obtained via XGetDefault().  We use multiple classes to steal
	defaults from XTerm if none are available in our class.  This
	doesn't really work well with XGetDefault() but it's probably
	best to stay with that xlib call.  Noticed by
	Josip Rodin <joy@cibalia.gkvk.hr> (via Brian Mays)

2001-12-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.166:
	Refix XIM connection when XMODIFIERS env var is providing
	connection information but the IM isn't available at exec time.
	Don't bother setting had_im but just short circuit out, from
	Tung-Han Hsieh <thhsieh@linux.org.tw>

2001-11-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.58:
	Fix install target.  Add install/uninstall with versioning

	* autoconf/Make.common.in 1.16: Propogate LN

	* autoconf/configure.in 1.118: Check for ln

	* autoconf/configure.in 1.117:
	Let other programs know when we want a shared library

2001-11-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.104:
	Fix build when no scrollbars are defined, noticed by
	Sven Guckes <guckes@math.fu-berlin.de>

	* doc/LSM.in 1.13: See previous LSM.in log message

	* src/version.h 1.27: Bump version to 2.7.8

	* autoconf/config.guess 1.4, autoconf/config.sub 1.4:
	Update to version at date 2001-10-05

	* doc/yodl/rxvt-resources.yo 1.29: Document --scrollBar_align
	Fix argument types for a couple of other resources

	* src/xdefaults.c 1.103:
	Actually, change a couple of options to indicate argument is a
	specific "mode" rather than an arbitrary "string"

	* src/xdefaults.c 1.102: scrollBar_align just takes a "string"

	* src/command.c 1.246: Fix a stupid pasto with up/down buttons

	* src/xdefaults.c 1.101:
	Put in a couple of assert()s to catch errors with option list
	creation, although it should (beneficially) segv after anyway

	* doc/changes.txt 1.120: Update

	* src/command.c 1.245, src/feature.h 1.68, src/init.c 1.96, src/rxvt.h 1.153, src/xdefaults.c 1.100:
	Add --scrollBar_align (top|bottom|...) to provide alignment of
	scrollbar thumb with middle button.  Defaults to centre.  This
	supercedes FUNKY_SCROLL_BEHAVIOUR by Mike Hopkirk (Hops).  From
	T. Alexander Popiel <popiel@wolfskeep.com>

	* doc/yodl/rxvt-options.yo 1.19, doc/yodl/rxvt-resources.yo 1.28:
	Document -j/+j jumpScroll

2001-11-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.247: Fix stupid typo in last

	* src/command.c 1.244: Compact process_sgr_mode

	* src/command.c 1.243:
	Compact private (terminal) mode sequence handling code

2001-11-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.95: set jump/smooth scroll privmode appropriately

	* src/command.c 1.242, src/rxvt.h 1.152:
	Rename private mode variable for jump/smooth scroll since the
	jump scroll option has reverse sense to private mode smooth
	scroll.  Fix up logic in private mode parsing appropriately

	* doc/yodl/rxvtRef-privatemodes.yo 1.4:
	Have implemented smooth/jump scroll sequence

	* src/init.c 1.94, src/rxvt.h 1.151, src/command.c 1.241:
	Add in private mode sequence for jumpScroll

	* doc/changes.txt 1.119: Update

	* src/command.c 1.240, src/rxvt.h 1.150, src/rxvtlib.h.in 1.7, src/xdefaults.c 1.99:
	Supercede REFRESH_EVERY_LINE define with option -j/--jumpScroll
	set by default (as per previous behaviour and xterm default).
	Do check in main loop rather than through cmd_getc loop

	* src/screen.c 1.246: Possible optimise

	* src/command.c 1.239:
	Provide a define REFRESH_EVERY_LINE to allow slower, smoother
	refreshing.  Maybe nicer on faster machines?

	* src/command.c 1.238: Consistency nit

2001-11-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.237:
	Calculate a value before a loop instead of inside it

	* src/command.c 1.236: Fix CSI defaults (properly)

	* src/command.c 1.235:
	Fix defaults for CSI sequence parameters after last set of
	changes.  Override defaults in all parameters with value of
	default for first parameter (since we don't keep multi default
	values and we only handle 0 or 1 anyway).
	i.e. handle as if (Pn...) and (Ps...) defaults

2001-11-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.234:
	emulate common terminals wrt 0 parameter for CUF/CUB.
	"fix" handling of "bad" characters within CSI parameter list

	* src/screen.c 1.245: clean up rxvt_scr_tab() slightly

	* src/screen.c 1.244: change a debug statement

	* doc/changes.txt 1.118: Update

	* src/command.c 1.233:
	Make sure we don't stomp a 0 parameter in a CSI sequence

2001-11-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.165: Remove a layer of indirection from rxvt_IM_get_IC()

2001-11-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.243: refresh_type changed from char to unsigned char

	* src/rxvt.h 1.149: Try using 'unsigned char' bitfields under gcc

	* src/screen.c 1.242: Boolean-ise h->multi_byte

	* src/command.c 1.232: Boolean-ise h->want_refresh

2001-11-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.241: Tidy up comparison

	* doc/changes.txt 1.117: Update

	* src/xdefaults.c 1.98: Add in basic support for XAPPLRESDIR, from
	Rudolf Jaksa <jaksa@neuron.tuke.sk>

	* src/screen.c 1.240: increase nits needed for XCopyArea

	* src/main.c 1.164:
	If the user didn't specify an IM then we should still try to
	connect with "im=none" in case a base IM service is used for
	items like dead keys in single char glyph locales

2001-11-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.239: Reindent one bit and make another bit clearer

	* doc/changes.txt 1.116: Update

2001-11-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.97:
	group names better: forceinheritPixmap -> inheritPixmapforce

	* src/rxvt.h 1.148, src/rxvtlib.h.in 1.6, src/screen.c 1.238, src/xdefaults.c 1.96:
	Be nicer with our parent windows with inheritPixmap
	transparency.  Add -ipf modifier for (-ip|-tr) to forcefully
	clear them.  The default behaviour now is to NOT clear them

2001-10-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.95:
	Pull in resources from the app-defaults/APL_SUBCLASS with prefix
	of our APL_SUBCLASS before empty/all matches

2001-10-11  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.115: Update

	* autoconf/configure.in 1.116:
	Prevent use of setsid() under any Ultrix version, noticed by
	Bert De Knuydt <Bert.Deknuydt@esat.kuleuven.ac.be>

2001-10-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.231, src/rxvt.h 1.147, src/screen.c 1.237:
	Try harder to paste useful text from other applications.  Also,
	prevent a coredump when other applications can't comply with
	our request

	* src/xdefaults.c 1.94: Quieten gcc

	* doc/changes.txt 1.114: Update

	* src/init.c 1.93, src/main.c 1.163:
	Fix connection to IM irrespective of when it is started.
	Pass over all possible IM connections - those passed via "-im"
	and the XMODIFIERS env var - until we get one with a matching
	input style.  Noticed by, and lots of help from,
	Tung-Han Hsieh <thhsieh@linux.org.tw>

	* src/main.c 1.162: Fix last change

	* src/main.c 1.161:
	Use rxvt_splitcommastring() instead of rolling out a
	version for each use

	* src/misc.c 1.39:
	Add function rxvt_splitcommastring() to take a comma-separated
	string and return an array of each item, including empty items.
	Matching quotes are also removed.  Leading and trailing spaces
	are removed.  The caller should free each item and the whole
	array when done

2001-10-02  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.113: Update

	* src/command.c 1.230:
	Fix DECSTBM default when only one argument is given, from
	Stephen Isard <S.Isard@ed.ac.uk>

2001-09-28  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/config.guess 1.3, autoconf/config.sub 1.3:
	Update to version at date 2001-08-23

2001-09-24  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.112: Update

	* src/command.c 1.229:
	Fix continual scrolling and slipwheel, noticed by
	Joshua Swink

2001-09-10  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.111: Update

	* src/feature.h 1.67, src/init.c 1.92, src/rxvt.h 1.146, src/screen.c 1.236, src/xdefaults.c 1.93:
	Add support for '-hc colour' (via define OPTION_HC in feature.h)
	to provide background highlight colouring of selection.  Colour
	is not used if it is the same as either foreground or background
	colour.  Partly from
	Christian W. Zuckschwerdt <zany@triq.net>

	* src/init.c 1.91: Fix ModNumLockMask assignment, noticed by
	Matthew Gabeler-Lee <msg2@po.cwru.edu>

2001-08-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.57: Make sure we actually distribute rxvtlib.h.in

	* src/version.h 1.26: Bump version to 2.7.7

	* doc/LSM.in 1.12: See previous LSM.in log message

	* INSTALL 1.11: Note "make tests"

	* src/test/Makefile.in 1.9:
	Remove $(XLIB) from link stage of tests.  We shouldn't need them

	* doc/changes.txt 1.110: Update

	* src/ptytty.c 1.5: Fix STREAMS again, noticed (again) by
	Francis Hartojo <fhartojo@lucent.com>

	Trying to decipher SUN documentation (again):
	- push the STREAMS modules in the child.  We have to do the open
	  in the child (and should be after the new session is created)
	  to get a controlling terminal but don't want to push the
	  modules until after we've closed off our extra fd to the
	  master side, just in case the close causes problems with the
	  STREAMS modules we push.  Throw in some comments about this

2001-08-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/test/Makefile.in 1.8: Give debug information for a failed test

2001-08-07  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/libtool.m4 1.5, autoconf/ltmain.sh 1.5:
	Revert: wasn't backwards compatible with autoconf-2.13

	* autoconf/libtool.m4 1.4, autoconf/ltmain.sh 1.4:
	Update to more recent libtool version

	* doc/changes.txt 1.109: Update

	* src/feature.h 1.66:
	Turn on WTMP_ONLY_ON_LOGIN by default - this matches xterm

	* doc/TODO 1.15: Add one

	* doc/TODO 1.14: Did one

	* doc/yodl/rxvt-options.yo 1.18, doc/yodl/rxvt-resources.yo 1.27:
	Note -mcc/--multibyte_cursor and -lsp/--linespace

	* doc/changes.txt 1.108: Update

	* doc/yodl/rxvt-options.yo 1.17, doc/yodl/rxvt-resources.yo 1.26, src/rxvt.h 1.145, src/rxvtlib.h.in 1.5, src/screen.c 1.235, src/xdefaults.c 1.92:
	Add -sw/--scrollWithBuffer from
	Mark Schreiber <mark7@andrew.cmu.edu>

	* doc/yodl/rxvt-options.yo 1.16, doc/yodl/rxvt-resources.yo 1.25:
	Fix -grk and --greektoggle_key notes

	* doc/changes.txt 1.107: Update

	* src/command.c 1.228, src/init.c 1.90, src/rxvt.h 1.144, src/screen.c 1.234:
	Provide paste-only support for SECONDARY and CLIPBOARD
	selections in addition to PRIMARY selection.  Order for
	selection pastes is:
	1) internal selection (if available)
	2) first to claim ownership for PRIMARY, SECONDARY and
	   CLIPBOARD selections (in that order)
	3) CUT_BUFFER0
	- if conversion for a selection in "2)" fails even though there
	  is someone claiming ownership, fall back to "3)"

2001-08-06  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.106: Update

	* src/command.c 1.227, src/feature.h 1.65, src/init.c 1.89, src/rxvt.h 1.143, src/xdefaults.c 1.91:
	Readd "greektoggle_key" which was mystically lost between
	versions 2.16 and 2.20.  Defaults to XK_Mode_switch.  May
	be overridden by setting GREEK_KEYBOARD_MODESWITCH to the
	appropriate keysym in feature.h (or passing through
	CPPFLAGS to configure)

	* src/init.c 1.88, src/main.c 1.160:
	Change all XQueryColor() calls to XQueryColors() obviating
	one X call from resultant binary

2001-08-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.64, src/xdefaults.c 1.90:
	- provide a base X11USRLIBDIR (and X11LIBDIR) which can be
	  overridden from configure stage via CPPFLAGS.  Use for
	  XAPPLOADDIR and XAPPLOADDIRLOCALE.  Change XAPPLOADDIRLOCALE
	  slightly to provide self limiting bounds.  XAPPLOADDIRLOCALE
	  must now include "%-.*s" sequence
	- reposition NO_PIXEL_DROPPING_AVOIDANCE within feature.h
	  to place it closer to NO_BOLDOVERSTRIKE
	- bump basic limits on columns/rows to 1000 each

	* src/command.c 1.226:
	Provide a kluge for CYGWIN.  Once we know the shell is running,
	resend the screen size.  Noticed by
	Rick Rankin <Rick.Rankin@motorola.com>

2001-08-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.225: Fix a stuffup with parentheses in last change

2001-08-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.224, src/rxvt.h 1.142: Partially delint

	* src/screen.c 1.233: Cleanup after 1.230

	* src/command.c 1.223: As for screen.c, so for command.c

	* src/screen.c 1.232:
	We know what type of XEvent we're using so refer to it
	by the full type not as a union member

	* src/screen.c 1.231:
	Fix stuff up with using unset gcvalues for single glyph writing:
	just do an initial set at the start of *scr_refresh() rather
	than messing about each time, noticed by
	Kazutoshi Kubota <tu7k-kbt@asahi-net.or.jp>

	Also clean up some other XChangeGC() calls

	* src/command.c 1.222, src/init.c 1.87, src/rxvt.h 1.141, src/screen.c 1.230:
	- add generic timeout system to X event processing system
	- use timeout system for INCR pasting - this prevents rxvt from
	  stalling although it does allow the possibility of a less
	  desirable order of events - e.g. extra stuff interfering
	  during an INCR paste - tough!  Increasing PROP_SIZE in
	  screen.c would also help here
	- change INCR handling to be closer to (my reading of) ICCCM2.0
	  description: delete INCR on PropertyNotify event not on
	  SelectionNotify event
	- slightly change allocation of memory in *tt_write() - do
	  fewer realloc()s by keeping slightly more spare memory
	- s/memcpy/memmove/  for possibly overlapping memory areas
	- change how data is sent from paste through *tt_write() - this
	  may be `improved' on later by sending per line including the
	  carriage return (previously, carriage return was sent
	  separately which doesn't necessary interact well through to
	  (line) buffering through termios)
	- add error messages to users upon known data loss
	- other small cleanups

2001-08-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.221, src/rxvt.h 1.140:
	Consistency: s/xrootpmapid/xa_xrootpmapid/

	* doc/changes.txt 1.105: Update

	* src/init.c 1.86:
	We need to select PropertyChangeMask on vt window so that
	INCR transfers work

2001-07-28  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.104: Update

	* README.configure 1.17, autoconf/acconfig.h 1.41, autoconf/configure.in 1.115, doc/TODO 1.13, src/command.c 1.220, src/init.c 1.85, src/rxvt.h 1.139:
	Add in integrated form of slipwheeling patch.  While the
	control key is depressed, the mouse wheel acts as an
	accelerator for scrolling.  Scrolling stops when the
	control key is released.  Slip wheel support from
	Ali Rahimi <ali@MIT.EDU>

2001-07-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/.cvsignore 1.4: Ignore generated .protos

	* src/command.c 1.219, src/defaultfont.c 1.8, src/feature.h 1.63, src/graphics.c 1.39, src/grkelot.c 1.12, src/grkelot.h 1.5, src/init.c 1.84, src/logging.c 1.31, src/main.c 1.159, src/menubar.c 1.53, src/misc.c 1.38, src/netdisp.c 1.16, src/ptytty.c 1.4, src/screen.c 1.229, src/scrollbar-next.c 1.15, src/scrollbar-rxvt.c 1.9, src/scrollbar-xterm.c 1.10, src/scrollbar.c 1.41, src/strings.c 1.14, src/xdefaults.c 1.89, src/xpm.c 1.49:
	Cosmetic changes

2001-07-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.158: Don't XFree(NULL)

	* src/rxvtlib.h.in 1.4: Cosmetic changes

	* autoconf/configure.in 1.114:
	Change AC_MSG_WARN messages to be nice to autoconf-2.5*

2001-07-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.48: delint a bit

	* src/rxvt.h 1.138: cosmetic fixup

	* src/screen.c 1.228: Cast XTextProperty value assignment

	* src/rxvt.h 1.137: only define __attribute__ if not defined

	* src/screen.c 1.227: ignore the other gettimeofday() return

	* doc/changes.txt 1.103: Update

	* src/Makefile.in 1.56:
	distribute .protos & depend indirectly upon *.extpro via .protos

	* src/screen.c 1.226: Delint more.  Sanitise some variables

2001-07-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.225: Delint a bit.  Change some variable types

2001-07-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/strings.c 1.13: Don't rely on other rxvt C files (again)

	* src/test/Makefile.in 1.7:
	Parent directory protos target became .protos

	* src/logging.c 1.30:
	Disable writing an exit value to the SYSV utmp entry when we're
	initialising.  This should only be enabled on specific systems
	if necessary

	* src/command.c 1.218: Cast first arg to vsprintf()

	* src/logging.c 1.29:
	If we're doing SYSV type utmp entries, don't go anywhere
	near any entries called ut_name

	* src/logging.c 1.28: Only write lastlog entries on good seeks

2001-07-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.224: Small optimisation.  Eliminate some common code

	* src/screen.c 1.223: Make some defines less context/variable dependent

	* src/logging.c 1.27: Only write BSD utmp's on good seeks

	* src/logging.c 1.26: Fix a missed conversion for QNX

	* src/init.c 1.83, src/main.c 1.157: Tidy up slightly

2001-07-17  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/configure.in 1.113: Rest of previous fix

	* autoconf/configure.in 1.112:
	Add detect for /dev/ptc char dev and /dev/pts directory combo

2001-07-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.82, src/main.c 1.156, src/rxvt.h 1.136, src/screen.c 1.222:
	Clean up some more variable type usages

	* src/screen.c 1.221: Fix type for third arg of XChangeGC()

	* src/screen.c 1.220:
	Rearrange the refresh passes.  Move pixel drop avoidance pass
	closer to main pass.  Possible future integration as one pass

2001-07-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.55:
	Redo proto building and deps so that multiple job builds work

2001-07-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.219:
	Remove some indirection in rxvt_scr_insdel_chars()

	* src/screen.c 1.218: Fix pixel dropping avoidance for NO_BOLDFONT

	* doc/changes.txt 1.102: Update

	* src/screen.c 1.217:
	Combine forward and backward passes for overstrike pixel dropping
	removal into a single forward pass.  Eliminate excessive processing
	of the same position.  Make sure we don't cascade our updates even
	if it might, in some cases, ensure that bold areas work better at
	the expense of extra char updating.  This optimisation should
	provide both speed and size improvements

	* doc/yodl/rxvtRef-csi.yo 1.3:
	Document additional save/restore cursor sequences

2001-07-09  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.101: Update

	* src/command.c 1.217:
	Add `CSI s' & `CSI u' as extra save/restore cursor sequences.
	They are Private Use codes and gives compatibility with xterm
	and some other applications, suggested by
	Yong Lu <lyongu@ailab.pku.edu.cn>

	* src/screen.c 1.216:
	Only speed optimise by rewriting the same character if we're
	not in a situation where we must clear that position; gives
	a nicer appearance since less flicker is likely

	* src/command.c 1.216: Remove a layer of indirection in main loop

2001-07-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.215: Mini optimisations in rxvt_scr_refresh()

	* src/screen.c 1.214: Clarify rxvt_scr_refresh() argument name

2001-06-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.213, src/feature.h 1.62, src/init.c 1.81, src/rxvt.h 1.135:
	Remove INEXPENSIVE_LOCAL_X_CALLS.  Optimise it differently

	* src/command.c 1.215:
	Clean up some common handling in csi sequence processing
	Reformat comments a bit

	* src/command.c 1.214: Squish some debugging information

2001-06-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.155: Reuse const string directly

2001-06-25  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.100: Update

2001-06-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.213:
	Work around a possible overflow situation reported by
	Samuel Dralet <samuel.dralet@mastersecurity.fr>

2001-06-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.134, src/rxvtlib.h.in 1.3, src/screen.c 1.212, src/xdefaults.c 1.88, README.configure 1.16, autoconf/acconfig.h 1.40, autoconf/configure.in 1.111, src/feature.h 1.61, src/init.c 1.80, src/main.c 1.154:
	Add lineSpace resource to provide ability for user specified
	line spacing between rows, requires --enable-linespace configure
	option.  Invoked as "-lsp <num>" or "--lineSpace <num>", from
	Kazutoshi Kubota <tu7k-kbt@asahi-net.or.jp>
	(with minor XIM fix from Tomohiro KUBOTA <kubota@debian.org>)

2001-06-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/defaultfont.c 1.7, src/defaultfont.h 1.5, src/feature.h 1.60, src/main.c 1.153, src/rxvt.h 1.133:
	Add (slightly modified) patches from Tomohiro KUBOTA <kubota@debian.org>
	to:
	- reintroduce a constant FONT0_IDX again to handle user specified
	encodings (noticed by Maxime Froment)
	- fix a typo "euckr" -> "kr" in defaultfont.c
	- allow Expose event for XIM preedit position update

2001-04-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.152, src/rxvt.c 1.4, src/rxvtlib.h.in 1.2:
	This should have been part of the major lib version bump.
	Presume that nobody's using it yet and sneak this in

2001-04-24  Geoff C. Wing  <gcw@rxvt.org>

	* .cvsignore 1.3: Add ChangeLog

	* src/.cvsignore 1.3: Remove rsizes.h .  Add rxvtlib.h

	* autoconf/Make.common.in 1.15, src/Makefile.in 1.54:
	Make installation directories.  Install rxvtlib.h

	* src/Makefile.in 1.53: Have realclean target remove librxvt.h

	* src/screen.h 1.18, src/scrollbar.c 1.40, src/version.h 1.25, autoconf/configure.in 1.110, src/Makefile.in 1.52, src/command.c 1.212, src/init.c 1.79, src/main.c 1.151, src/menubar.c 1.52, src/rsizes.h.in 1.3, src/rxvt.c 1.3, src/rxvt.h 1.132, src/rxvtlib.h.in 1.1, src/screen.c 1.211:
	Startup of shared library build:
	. autoconf now creates  src/rxvtlib.h  which is the public header
	  for the shared library.  Many detected header files are now
	  pushed into the first section of rxvtlib.h
	. integrated rsizes.h.in and screen.h into rxvtlib.h
	. removed rsizes.h.in and screen.h
	. added two prototypes to rxvtlib.h: rxvt_main_loop() & rxvt_init()
	. added a test to configure to check for inclusion of both <termios.h>
	  and <sys/ioctl.h> - usually needed on SunOS systems
	. shared library build no longer needs to enable everything

	* src/Makefile.in 1.51: Don't hide libtool actions

	* Makefile.in 1.12: Change what targets "clean" and "realclean" affect

2001-04-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/defaultfont.c 1.6, src/graphics.c 1.38, src/init.c 1.78, src/main.c 1.150, src/menubar.c 1.51, src/netdisp.c 1.15, src/rxvt.h 1.131, src/screen.c 1.210, src/strings.c 1.12, src/xdefaults.c 1.87, src/xpm.c 1.47, src/command.c 1.211:
	Provide wrappers for malloc/calloc/realloc.  Don't be too nice
	on failure.  Just do minimal cleanup and exit

	* doc/changes.txt 1.99: Update

	* src/main.c 1.149, src/screen.c 1.209:
	Don't necessarily clear selection on screen size change, noticed by
	Dominik Vogt <d.vogt@lifebits.de>

2001-04-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.130:
	Need rxvt_hidden:egid/euid for HAVE_SETREUID too, noticed by
	Friedmund Lassmann <lassmann@bbn.hp.com>

2001-04-20  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.98: Update

	* autoconf/configure.in 1.109:
	Fix check of configure cache variable names, noticed by
	Venkatesh Krishnamurthi <vk@spies.com>

2001-04-12  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.11: See previous LSM.in log message

	* Makefile.in 1.11: Cleanup libtool too

	* src/version.h 1.24: Bump version to 2.7.6
	(the previous commit of this file was a mistake)

	* doc/changes.txt 1.97: Update

	* README.configure 1.15: Note --enable-smart-resize

	* doc/TODO 1.12: One more for the list

	* doc/changes.txt 1.96: Update

	* src/screen.c 1.208:
	If someone requests our selection but we can't convert it fully
	to their locale then send it through unconverted rather than the
	possibly corrupted version - this may be a bit heavy handed (and
	need to be a define in the future), noticed by
	Marius Gedminas <marius.gedminas@uosis.mif.vu.lt>
	Also make sure to free the property returned, if appropriate

2001-04-09  Geoff C. Wing  <gcw@rxvt.org>

	* doc/etc/rxvt.termcap 1.6:
	Clean up slightly.  Add note on Home/End keys when LINUX_KEYS
	is defined in feature.h

	* src/main.c 1.148: Clean up previous slightly

	* doc/changes.txt 1.95: Update

	* src/main.c 1.147:
	Add a resizing method which may reposition the window depending
	upon its position about the centre point on the screen.  Mostly from
	Marius Gedminas <marius.gedminas@uosis.mif.vu.lt>

	* autoconf/acconfig.h 1.39, autoconf/configure.in 1.108:
	Add --enable-smart-resize to provide movement with resizing
	if appropriate, from
	Marius Gedminas <marius.gedminas@uosis.mif.vu.lt>

	* doc/changes.txt 1.94: Update

	* src/rxvt.h 1.129, src/screen.c 1.207, src/xdefaults.c 1.86:
	Add -tcw (--tripleclickwords) (requiring --enable-frills).
	An alternative triple click selection system which makes
	a triple click extend the (double click) word selection to
	the end of a possibly-wrapped set of lines - with trailing
	blanks (and blank lines) removed from the selection.
	Originally suggested by Dominik Vogt <dominik.vogt@gmx.de>

2001-04-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.128:
	Be really strict in our types in some macros.  Dividing a
	negative int by a short was causing problems on older OSF4.0
	Make everything int32_t.  Tracked down by
	James M. Lewis <Jim.Lewis@alcoa.com>

2001-04-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.127, src/screen.c 1.206, src/screen.h 1.17, src/init.c 1.77:
	Start a cleanup of variable types

	* src/command.c 1.210, src/defaultfont.c 1.5, src/graphics.c 1.37, src/init.c 1.76, src/main.c 1.146, src/menubar.c 1.50, src/netdisp.c 1.14, src/rxvt.h 1.126, src/screen.c 1.205, src/strings.c 1.11, src/xdefaults.c 1.85, src/xpm.c 1.46:
	Remove MALLOC/CALLOC/FREE.  Their initial reason for existance -
	easier integration with Gray Watson's dmalloc package is not
	really relevant anymore.  MALLOC is also defined under Irix6.5
	in <nl_types.h> so we clashed there.  Remove them rather than
	rename them

2001-04-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.59, src/screen.c 1.204:
	Now that I've had my rant, change
	#ifndef SUPPORT_BROKEN_APPS_WHICH_RELY_ON_UNDEFINED_BW_BEHAVIOUR_AS_XTERM
	to
	#ifdef TERMCAP_HAS_BW
	but keep the same behaviour!

	* doc/changes.txt 1.92: Update

	* src/main.c 1.145, src/rxvt.h 1.125, src/version.h 1.23, src/xdefaults.c 1.84, src/defaultfont.c 1.4, src/defaultfont.h 1.4, src/feature.h 1.58, src/init.c 1.75:
	Add patches from Tomohiro KUBOTA <kubota@debian.org> for:
	- define MAX_NFONTS in feature.h instead of NFONTS, used only
	  for determing the maximum allowed nfonts (number of fonts)
	- replace FONT0_IDX with auto-initialisation (along with nfonts)
	  in rxvt_init_defaultfont().
	- struct defaultfont now has additional members of nfonts and
	  font0_idx, which are used to initialise the above

	* src/test/strings-memmove.c 1.4: Be nicer with what we include

	* src/command.c 1.209: Change DEBUG_X output

2001-04-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/test/gettty.c 1.5:
	Actually, we happily use waitpid() elsewhere so just use here

	* src/test/gettty.c 1.4:
	Add an extra bit for future - should we check for wait3()

2001-04-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.57: Add a missing "#" for define

	* doc/changes.txt 1.91: Update

	* src/screen.c 1.203: Clean up backindex/forwardindex slightly

	* src/main.c 1.144, src/ptytty.c 1.3, src/screen.c 1.202, src/scrollbar-next.c 1.14, src/scrollbar-rxvt.c 1.8, src/scrollbar-xterm.c 1.9, src/scrollbar.c 1.39, src/strings.c 1.10, src/xpm.c 1.45, src/command.c 1.208, src/init.c 1.74, src/logging.c 1.25:
	Update my copyrights on stuff I've changed quite a bit recently

	* src/xpm.c 1.44: Code size optimisations via less indirection

	* src/xpm.c 1.43: Fix comments in new routine

	* src/xpm.c 1.42:
	Put common calculations for tiling into rxvt_pixmap_incr()

	* src/test/Makefile.in 1.6:
	Cleanup for GNU make and add a possible debug line

	* src/init.c 1.73, src/init.h 1.6, src/ptytty.c 1.2:
	Fixes to work again with STREAMS, from
	Paul Slootman <paul@murphy.nl>

	* src/init.c 1.72: Mini cleanup

	* Makefile.in 1.10, src/test/Makefile.in 1.5:
	Add a test target in the top directory and allow tests without
	building rxvt

	* src/test/gettty.c 1.3: Let any argument make us less verbose

	* src/test/gettty.c 1.2:
	We shouldn't need to set I/O stuff here.  Remove it

	* autoconf/configure.in 1.107, src/Makefile.in 1.50, src/init.c 1.71, src/protos.h 1.14, src/ptytty.c 1.1, src/rxvt.h 1.124, src/test/Makefile.in 1.4, src/test/gettty.c 1.1:
	Separate main pty/tty code into a (mainly) stand-alone file.
	Separate functionality into three parts:
	 rxvt_get_pty(): obtain pty and associated slave device name
	 rxvt_get_tty(): obtain tty (using slave device name)
	 rxvt_control_tty(): associate /dev/tty with our tty
	On some platforms, rxvt_get_pty() will also handle the functionality
	of rxvt_get_tty()
	Add test/gettty (three t's) to check it

	* src/Makefile.in 1.49: Remove duplicate entry on LIBSRCS line

2001-04-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.70:
	Fix up opening with STREAMS.  After we make sure that /dev/tty
	is unassociated with anything, reopen the slave to reassociate
	/dev/tty with us.  Noticed by
	Paul Slootman <paul@murphy.nl>

	* autoconf/configure.in 1.106: Fix some pty/tty tests, noticed by
	Paul Slootman <paul@murphy.nl>

2001-03-31  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.49:
	Fix botch in 1.43 with update of ActiveMenu variable, noticed by
	Tomohiro KUBOTA <tkubota@riken.go.jp>

	* doc/yodl/rxvt.yo 1.6: Fix manual page name and section, from
	Tomohiro KUBOTA <tkubota@riken.go.jp>

2001-03-24  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvt-options.yo 1.15:
	Clean up slightly.  Add some information about the new font
	choice method based upon locale.

2001-03-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/defaultfont.c 1.3, src/defaultfont.h 1.3, src/init.c 1.69, src/init.h 1.5, src/xdefaults.c 1.83, autoconf/acconfig.h 1.38, autoconf/configure.in 1.105:
	Reverse defined names for autodetected features.  Define as
	HAVE_ for being present and working rather than NO_ for being
	absent or not working

2001-03-22  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.90: Update

	* src/defaultfont.c 1.2, src/defaultfont.h 1.2:
	Add in all of my tinkering.

	* autoconf/acconfig.h 1.37, autoconf/configure.in 1.104, src/Makefile.in 1.48, src/defaultfont.c 1.1, src/defaultfont.h 1.1, src/feature.h 1.56, src/init.c 1.68, src/main.c 1.143, src/protos.h 1.13:
	Add a method to determine a default font from the user's locale
	settings, from Tomohiro KUBOTA <tkubota@riken.go.jp>

2001-03-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.201:
	Clean up rxvt_scr_move_to() & rxvt_scr_page().  Common parts now
	in rxvt_scr_changeview()

	* src/feature.h 1.55: Note NO_PIXEL_DROPPING_AVOIDANCE define

	* src/feature.h 1.54: Add SCROLL_ON_HOMEEND_KEYS as per suggestion from
	Marius Gedminas <marius.gedminas@uosis.mif.vu.lt>

	* src/command.c 1.207: feature.h

2001-03-20  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.89: Update

2001-03-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.67: Until we know why, leave fd's 4 & 7 open on Irix

	* src/screen.c 1.200:
	Optimise the number of X requests made during screen updates.
	This can produce a significant speed up in output (both on
	local and remote displays) and cut down on network traffic
	for remote displays

2001-03-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.66: Fix reversed comparison for display_is_local

2001-03-15  Geoff C. Wing  <gcw@rxvt.org>

	* doc/etc/rxvt.termcap 1.5, doc/etc/rxvt.terminfo 1.4:
	Remove enter and exit insert mode codes (which, in conjuction
	with insert char codes, cause conflicts with really old programs).
	We don't have delete mode codes but we do have delete char codes
	so for symmetry keep insert/delete char/s codes.

2001-03-14  Geoff C. Wing  <gcw@rxvt.org>

	* doc/etc/rxvt.termcap 1.4:
	Add cap for BCE (ut) and add some colour caps

2001-03-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.206:
	Add more colours via SGR escape sequence, bright colour codes
	90-97 (fg) and 100-107 (bg) to match xterm, from
	Christian W. Zuckschwerdt <zany@triq.net>

	* src/command.c 1.205, src/rxvt.h 1.123, src/screen.c 1.199:
	Change how we use bold/blink as bright colour modifiers.
	Previously the stored colour was changed.  Now we never change
	the stored colour, only interpret differently upon retreival

	* src/screen.c 1.198:
	Reformat a couple of assert()s.  Add assert() in rxvt_scr_page()
	since they are internally generated/passed arguments

	* src/command.c 1.204, src/feature.h 1.53:
	Allow CTRL (and/or Mod4) to set meta state for tab.  Define
	CTRL_TAB_MAKES_META and/or MOD4_TAB_MAKES_META in feature.h, from
	Marius Gedminas <marius.gedminas@uosis.mif.vu.lt>

2001-03-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.65:
	Optimise rxvt_get_ourmods() slightly and improve readability

2001-03-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.203, src/init.c 1.64, src/xdefaults.c 1.82:
	Fix compilation with HOTKEY_CTRL or HOTKEY_META defined, noticed by
	Marius Gedminas <marius.gedminas@uosis.mif.vu.lt>

	* src/init.c 1.63, src/rxvt.h 1.122, src/screen.c 1.197:
	Change SWAP_IT() macro so that subroutines don't need to
	predeclare a temporary variable.  Instead allocate a temporary
	variable limited to the lifetime of each. This is a very minor
	space/speed optimisation but may also be useful not having to
	check which #ifdef block each temporary variable belongs to

2001-03-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.196:
	rxvt_scr_change_screen() can happen before everything else
	has caught up with nrow/ncol changes so use the real current
	allocation values, i.e. prev_nrow, prev_ncol

2001-03-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.81: Squash help stuff to fit 80 char terms

	* src/feature.h 1.52, src/xdefaults.c 1.80:
	We can't presume snprintf() so unless we can provide an alternative
	we must be stricter on path length of XAPPLOADDIRLOCALE

2001-03-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/protos.h 1.12, src/rxvt.h 1.121, src/screen.c 1.195, src/scrollbar-rxvt.c 1.7, src/scrollbar-xterm.c 1.8, src/xdefaults.c 1.79, src/command.c 1.202, src/graphics.c 1.36, src/main.c 1.142:
	Allow a build with "gcc -Wall -W -Werror"

	* Makefile.in 1.9: autoconf/ltconfig is gone

2001-02-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.78:
	Add usage option "strings" indicating alternative string functions

	* src/init.c 1.62:
	Add WM_LOCALE_NAME property to the window (if using XIM)

	* doc/changes.txt 1.88: Update

	* src/feature.h 1.51, src/init.c 1.61, src/rxvt.h 1.120, src/xdefaults.c 1.77:
	Add in loading of locale specific app-defaults from
	XAPPLOADDIRLOCALE (template) in feature.h - i.e. by default
	/usr/X11R6/lib/X11/$LC_CTYPE/app-defaults/Rxvt , from
	Maxime Froment <maxime@turbolinux.co.jp>
	(slightly modified by me)

2001-02-26  Geoff C. Wing  <gcw@rxvt.org>

	* src/strings.c 1.9:
	Avoid a problem in memmove() when the length is too small

	* autoconf/configure.in 1.103: Be consistent in variable presentation

	* autoconf/configure.in 1.102: Be consistent: s#tty/pty#pty/tty#

	* src/strings.c 1.8: Missed a couple in last change

	* doc/changes.txt 1.87: Update

	* autoconf/ltmain.sh 1.3, autoconf/libtool.m4 1.3, autoconf/ltconfig 1.4:
	Update to more recent libtool version

	* doc/changes.txt 1.86: Update

	* src/strings.c 1.7:
	Change variable names in memmove() to make a bit clearer

	* src/strings.c 1.6: Optimise memset() slightly

	* src/strings.c 1.5: Optimise memmove() a bit more

	* src/strings.c 1.4: Optimise memmove() slightly

	* src/test/Makefile.in 1.3: Add dependency

	* src/strings.c 1.3: Fix up calculation in memmove() for backwards move

	* doc/changes.txt 1.85: Update

	* src/main.c 1.141: Fix placement with OverTheSpot input method, from
	Maxime Froment <maxime@turbolinux.co.jp>

	* doc/changes.txt 1.84: Update

	* src/logging.h 1.9, src/rxvt.h 1.119:
	Move some conditional defines from logging.h to rxvt.h so that
	it exists before we try to use it!

	* src/Makefile.in 1.47:
	Fix the arguments for installation of librxvt.la

2001-02-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.140:
	When performing difference calculations for colours in
	rxvt_rXAllocColor() we don't need to do a square root and
	there's no need to be float so be unsigned long instead.
	Faster and smaller

2001-02-22  Geoff C. Wing  <gcw@rxvt.org>

	* INSTALL 1.10: Format and remove note about long gone RINT* and RUINT*

	* src/command.c 1.201, src/menubar.c 1.48:
	Fix a couple of signed/unsigned things

	* src/main.c 1.139: Initialise variable

2001-02-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.138, src/rxvt.h 1.118, src/xdefaults.c 1.76:
	Get/set global _rxvt_vars only via rxvt_get_r()/rxvt_set_r()

2001-02-16  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.83: Update

	* src/init.c 1.60, src/main.c 1.137, src/rxvt.h 1.117:
	If we are passed a tty fd then expect the OS/library on that
	system to handle the chown()/chmod() of the device file and make
	certain that we don't revoke() it which would invalidate the fd

2001-02-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.46: Add DEBUG_TTY to debug list

	* src/Makefile.in 1.45:
	Respect $(DESTDIR) for lib installation, noticed by
	Joshua Swink (yath@sourceforge)

2001-02-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.200, autoconf/acconfig.h 1.36, autoconf/configure.in 1.101:
	Fix configure for --enable-mousewheel, s/NO_MOUSE_WHEEL/MOUSE_WHEEL/
	noticed by Ali Rahimi <ali@MIT.EDU>

2001-02-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.59: Fix 2nd arg of openpty() call, noticed by
	Bob McElrath <rsmcelrath@students.wisc.edu>

2001-02-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.199: Use KBUFSZ to pass sizeof kbuf[], from
	Maxime Froment <maxime@turbolinux.co.jp>

	* src/screen.c 1.194, src/init.c 1.58:
	Initialise multichar encoding_method properly, from
	Maxime Froment <maxime@turbolinux.co.jp>

2001-02-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.116, src/screen.c 1.193:
	Fix up internal vt clearing from change in screen.c:129

	* doc/changes.txt 1.82: Update

	* src/command.c 1.198, src/rxvt.h 1.115, src/xdefaults.c 1.75:
	Add -/+mcc (multi-character cursor hack) to provide double cursor
	movements for old programs which don't do it themselves.  Mainly
	from Chuan-kai Lin <cklin@oink.cc.ntu.edu.tw>
	and Brian Mays <brian@debian.org>
	Modified to partially handle moving back across line boundaries

	* doc/changes.txt 1.81: Update

	* autoconf/configure.in 1.100:
	Be much more lax about pty/tty checks.  Hopefully catch
	more OS's.  May have to deal with more false positives.

	* autoconf/configure.in 1.99:
	Reorder some checks.  libtool stuff seems to want CPP

2001-02-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.50, src/init.c 1.57:
	Change our colour set to match the default xterm colour set

2001-01-30  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.80: Update

	* doc/yodl/rxvtRef-privatemodes.yo 1.3:
	We have implemented 47.  Document 1047 and 1048

	* src/command.c 1.197:
	Add DEC private modes 1047 & 1048 for compatibility with
	recent xterm terminfo on debian (suggested by John E. Davis)
	though without support for ti/te munging code.

	* src/screen.c 1.192:
	Fix an error in sending selection which caused an abort, from
	Xianping Ge <xge@ics.uci.edu>

	* src/xpm.c 1.41:
	Clean up.  bgPixmap.[xy] can't be negative - scale_pixmap()
	handles that case - so don't handle it later for tiling.
	Add some type casts.

2001-01-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.196:
	If we're doing vertical XCopyArea()s then we must refresh the
	entire column on Expose events - in case multiple XCopyArea()s
	have occured (and have copied blank areas) before we get the
	Expose event (which point to the original area)

2000-12-16  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.79:
	Add Chih-Wei Huang's name for <cwhuang@linux.org.tw>

2000-12-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.74:
	Reformat the usage string.  Also include the release date

	* src/xdefaults.c 1.73:
	Couple more outputs of compile options in help usage

2000-12-09  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.78: Update

	* src/main.c 1.136:
	Fix a case where we were dying due to bad setting of multichar
	fonts - especially with 'noenc' encoding, noticed by
	Mark White <mark.white@st-edmund-hall.oxford.ac.uk>

2000-11-19  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.77: Update

	* autoconf/acconfig.h 1.35, autoconf/configure.in 1.98, src/feature.h 1.49:
	Move PREFER_24BIT from feature.h to configure (--enable-24bit)
	but set off by default

	* src/graphics.c 1.35, src/init.c 1.56, src/main.c 1.135, src/menubar.c 1.47, src/rxvt.h 1.114, src/screen.c 1.191, src/scrollbar-next.c 1.13, src/xpm.c 1.40:
	Since we may assign to Xdepth,Xcmap,Xvisual rename as
	s/Xdepth()/XDEPTH/;s/Xcmap()/XCMAP/;s/Xvisual()/XVISUAL/

2000-11-18  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.76: Update

	* src/xpm.c 1.39, src/init.c 1.55, src/main.c 1.134, src/menubar.c 1.46, src/screen.c 1.190, src/scrollbar-next.c 1.12, src/graphics.c 1.34, src/rxvt.h 1.113:
	Make sure we still build & run when PREFER_24BIT is not defined

2000-11-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.195: Small cleanup of check_our_parents()

	* src/command.c 1.194: Cleanup/format the button press routine slightly

	* src/command.h 1.24, src/feature.h 1.48:
	Move MOUSE_THRESHOLD define from command.h to feature.h

	* src/command.c 1.193:
	Make sure we only pull off ConfigureNotify events on the parent
	window. For certain systems where xconfigure.event != xconfigure.window
	even though we do StructureNotify not SubstructureNotify.

	* doc/changes.txt 1.75: Update

	* src/screen.c 1.189:
	If we move the cursor then unset the WrapNext flag, noticed by
	witek@mat.uni.torun.pl

2000-11-14  Geoff C. Wing  <gcw@rxvt.org>

	* doc/TODO 1.11: Update

	* autoconf/Make.common.in 1.14:
	Don't combine strip functinality in INSTALL_PROGRAM, from
	Tom Bates <tom_bates@att.net>

2000-11-13  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.73: Update

	* src/xdefaults.c 1.72, src/command.c 1.192, src/init.c 1.54, src/main.c 1.133, src/menubar.c 1.45, src/rxvt.h 1.112, src/screen.c 1.188, src/scrollbar.c 1.38:
	Major reorganisation of window size calculations: the sizes of all
	windows are now calculated properly in one spot.  Calculate sizes
	of all windows before creation and create at the correct size -
	don't presume we'll get a ConfigureNotify to clean up for us.

	Major reorganisation of window size and placement manipulation:
	all major manipulations go through the one routine.

	A couple of other minor cleanups and compile fixes.

2000-11-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.187:
	Do the check for previous via RS_multi1, even though we don't
	use RS_multi0 (yet?)

	* src/screen.c 1.186:
	Put in the second last-ditch effort to remove corrupt multichars

	* src/screen.c 1.185: Minor rearrangement and cleanup

2000-11-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.191:
	Don't presume the event return structure is left alone
	upon a failed XCheckTypedWindowEvent() call - especially
	needed for a specific cygwin/win32 setup

2000-11-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.190:
	Mini optimisation - use select() return value immediately, from
	Tijs Michels <M.H.M.Michels@kub.nl>

2000-10-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.53: Reverse 1.50->1.51: it was totally wrong

2000-10-28  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.72: Update

	* src/init.c 1.52:
	Imitate xterm setting of icon/title name with -e argument, noticed by
	John Waggenspack <John_Waggenspack@adc.com>

2000-10-25  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.71: Update

	* src/init.c 1.51:
	We get the current locale by passing NULL, not an empty string

2000-10-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.24, src/screen.c 1.184:
	Don't pass unneeded vars to update_lastlog() and blank_line()

	* doc/yodl/rxvt-options.yo 1.14, doc/yodl/rxvt-resources.yo 1.24:
	Add notes about a couple of resource limits

	* src/command.c 1.189, src/graphics.c 1.33, src/init.c 1.50, src/main.c 1.132, src/menubar.c 1.44, src/rxvt.h 1.111, src/screen.c 1.183, src/xdefaults.c 1.71, src/xpm.c 1.38:
	Change several types from signed to unsigned.  Fix signed/unsigned
	comparisons and other different sized type comparisons.   Bound
	saveLines to limit of type.  Bound internal/external border widths
	to 100 (arbitrary limit).  Fix scrollbar dragging calculation

2000-10-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar-next.c 1.11: Fix the last fix

2000-10-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.188:
	Move large button processing sections out of X handling
	subroutine into their own subroutines

	* src/scrollbar-next.c 1.10: Fix conditionals on drawing code

	* src/screen.c 1.182:
	Clean up scr_backindex and scr_forwardindex to use
	existing routines rather than doing stuff manually

	* src/screen.c 1.181: Rearrange selection_check()

2000-10-17  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.70: Update

	* src/screen.c 1.180:
	Fix up the last change of reverse video integration.
	Reverse video via an escape sequence should act as if
	the reverse video option was given at invocation - with
	one difference being that a terminal reset sequence will
	also reset the reverse video state

	* doc/changes.txt 1.69: Update

	* src/logging.c 1.23: Remove some indirection

	* doc/changes.txt 1.68: Update

	* doc/TODO 1.10: Did one

	* src/screen.c 1.179:
	Integrate reverse video mode into screen refresh routine

	* src/graphics/.cvsignore 1.3: Add some more stuff to ignore

	* src/init.c 1.49: s/strchr/STRCHR/

	* src/init.c 1.48, src/misc.c 1.37: s/strdup/STRDUP/

	* doc/changes.txt 1.67: Update

	* src/graphics.c 1.32:
	Fix size calculations better - window size needed to be
	adjusted and a couple of other offsets fixed

	* src/graphics/Makefile.in 1.5:
	Use the COMPILE variable from Makefile.common so we
	pull in the proper include directories - especially
	for X11, and add in the parent directory manually

	* doc/changes.txt 1.66: Update

	* src/graphics/qplot.c 1.6:
	Make some large allocations happen dynamically via malloc
	rather than relying on initial compiler allocation

	* src/graphics/grxlib.c 1.5:
	Include rxvt headers including termios stuff (even though
	it includes an excess of other stuff)

	* src/graphics/grxlib.c 1.4, src/graphics/qplot.c 1.5:
	Pass through indent

	* doc/changes.txt 1.65: Update

	* src/graphics.c 1.31:
	Initial fixes for text placement in graphics mode

2000-10-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.47:
	The default icon name is the application name, noticed by
	Jeremy C. Reed <reed@wcug.wwu.edu>

2000-10-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.187:
	When we've got a really fast stream of ConfigureNotify events,
	ignore until the last one - this also usually ignores events
	which get sent back to us from configures which we did ourself

2000-10-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.46:
	Make sure we don't push STREAMS stuff until after any
	last close and reopen of the tty.
	G/C some other stuff so it won't be reactivated

2000-10-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.186:
	Fix comment, from Tijs Michels <m.h.m.michels@kub.nl>

	* src/screen.c 1.178:
	Fix some types used.  Also make sure we cast some types so
	that they don't get optimised out (or otherwise ignored).
	And add a couple of proto declarations.

2000-10-01  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.64: Update

	* src/rxvt.h 1.110:
	Fix build with XTERM_COLOR_CHANGE undefined, noticed by
	John Waggenspack <jwag@usa.net>

2000-09-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.177: Remove a bogon from debug output

2000-09-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.44: Make sure protos exist with parallel builds

2000-09-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.43: Remove some indirection and other cleanup

2000-09-26  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.176: Style fix

	* src/screen.c 1.175: Formatting and style fixes

	* src/command.c 1.185: Remove some indirection and cleanup

	* src/command.c 1.184: G/C and remove some indirection

	* src/command.c 1.183, src/init.c 1.45:
	Remove some layers of indirection

	* src/command.c 1.182:
	Move tt_printf() routine.  Remove layers of indirection from
	tt_write()

	* src/xdefaults.c 1.70: Make usagestring local to here

	* src/xdefaults.c 1.69: Clean up usage display

2000-09-19  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.10: Update tar.gz size

	* src/version.h 1.22: Bump version to 2.7.5

	* src/init.c 1.44, src/main.c 1.131:
	Try to kluge around some Solaris X implmentations

	* doc/TODO 1.9:
	Update things in progress and patches not yet merged in, and
	let people know they've not been forgotten

	* doc/changes.txt 1.63: Update

	* src/Makefile.in 1.43: Clean some proto stuff for clean target

	* src/command.c 1.181:
	In InheritPixmap transparency, before we stomp on the WM parent
	windows, give the WM a bit of time to do its own stuff with them.
	fvwm2.2.2 seemed to be a bit delayed setting the window backgrounds
	so give it time to complete (before we go behind its back), noticed by
	Hubert Feyrer <hubert.feyrer@informatik.fh-regensburg.de>

	* README.configure 1.14: Add a note about --enable-strings

	* src/init.c 1.43: s/strlen/STRLEN/

	* src/screen.c 1.174: Update comment

	* doc/changes.txt 1.62: Update

	* src/screen.c 1.173:
	Add in initial support for INCR transfers (see ICCCM2.0
	section 2.7.2), not yet fully conformant, from
	Paul Sheer <psheer@obsidian.co.za>

2000-09-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.47, src/init.c 1.42:
	Revert a change from 2.21*: we want GraphicsExpose events even at
	the cost of NoExpose events (which we happily ignore).  Fixes updates
	on NeXT scrollbars and slow link support - and nearly anything else
	that does XCopyArea()

2000-09-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.46: Disable CopyArea until I fix it

	* src/misc.c 1.36: Fix comment

	* src/init.c 1.41, src/main.c 1.130, src/scrollbar-next.c 1.9:
	Clean up colour allocation routine.  Don't pass unnecessary stuff

	* src/logging.c 1.22:
	Make sure RXVT_LASTLOG_FILE is known before trying to use it

2000-09-16  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvt-resources.yo 1.23:
	Basic text for answerbackString resource

	* doc/changes.txt 1.61: Update

	* src/command.c 1.180, src/init.c 1.40, src/rxvt.h 1.109, src/xdefaults.c 1.68:
	Add in settable answerbackString reply to ENQ

2000-09-15  Geoff C. Wing  <gcw@rxvt.org>

	* README.configure 1.13: Note about --enable-everything

	* INSTALL 1.9: Note about CVS versions

	* doc/TODO 1.8:
	Note changes in pipeline for reverse video and inverse rendition stuff

	* src/screen.c 1.172: Make sure reverse video mode reverses everything.

2000-09-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.171:
	Make blank_line() and blank_screen_mem() more consistent

	* src/screen.c 1.170: scr_E() should be smaller rather than faster

	* src/screen.c 1.169: Nits

	* src/screen.c 1.168: Combine common loops in scroll_text()

2000-09-13  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/configure.in 1.97: Fix --enable-old-selection

	* src/screen.c 1.167: Fix 1.165: proper #ifdef sequence

2000-09-12  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvtRef-xterm.yo 1.5, doc/yodl/rxvtRef.yo 1.6:
	Add documentation for colour change OSCs added by
	Christian W. Zuckschwerdt <zany@triq.net>

	* doc/changes.txt 1.60: Update

	* src/command.c 1.179, src/main.c 1.129, src/rxvt.h 1.108:
	Add XTerm OSC colour changing extensions, from
	Christian W. Zuckschwerdt <zany@triq.net>

	* src/init.c 1.39, src/main.c 1.128, src/rxvt.h 1.107, src/screen.c 1.166:
	Keep a record of which PixColors are set in a variable
	instead of trying to probe the resource in case it has
	changed and the resource was not set

	* src/Makefile.in 1.42: Make sure new scrollbar files get distributed

	* src/screen.c 1.165:
	Check for #define before using bgPixmap or am_tranparent vars

2000-09-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.164:
	Whoops, forgot to turn off CopyArea stuff when we have a pixmap

	* src/init.c 1.38: Clean up initialisation of variables

	* src/screen.c 1.163: Fix outline cursor check for CopyArea.

2000-09-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.162:
	Add a define to allow an unset cursor colour to be the
	current rendition colour instead of the default foreground/
	background colour

	* src/screen.c 1.161: Change CopyArea nits logic slightly

	* autoconf/configure.in 1.96:
	Set static libraries on since they'll default to on if shared
	libraries are off.

	* src/screen.c 1.160:
	Clean up scr_backspace.  Also, make some unconditional
	effect statements unconditional

	* src/init.c 1.37: Just calloc() instead of malloc() and zeroing

	* src/rxvt.h 1.106: Fix comment on colours

	* src/main.c 1.127, src/rxvt.h 1.105, src/screen.c 1.159:
	No CopyArea on screen or font size change

2000-09-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.45:
	Provide NO_SLOW_LINK_SUPPORT define to allow removal of XCopyArea()
	stuff in screen updates

	* src/rxvt.h 1.104:
	Fix a macro causing scrollbars not to happen if not using
	rxvt scrollbars

	* src/command.c 1.178: Remove unused variable

	* src/main.c 1.126: Formatting nits

2000-09-06  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.59: Update

	* src/screen.c 1.158: Don't copy the row with an outline cursor in it.
	Just avoid it.

	* doc/changes.txt 1.58: Update

	* src/screen.c 1.157:
	If we're in reverse video mode we need to make sure
	we clear lines with rvid set.

	* src/command.c 1.177:
	Handle CSI parameters better, including omitted parameters

	* src/screen.c 1.156: Optimise by variable type choice

	* src/screen.c 1.155: Minor optimisations and nits

	* src/screen.c 1.154: Add comment

	* src/screen.c 1.153: Fix a glitch using continue in for()

	* src/screen.c 1.152:
	In XCopyArea() stuff, make sure we don't copy too many rows.
	Also copy full width.  Still to do: GraphicsExpose stuff.

2000-09-05  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.57: Update

	* src/rxvt.h 1.103, src/screen.c 1.151:
	Add back in basic XCopyArea() support on screen display,
	useful for slow links.

	* src/screen.c 1.150: Remove not really necessary variable

	* src/feature.h 1.44:
	Reverse two items which slipped in in the last commit.

	* src/command.c 1.176:
	Just write out answer strings, don't parse them as ENQ will soon
	be settable.

	* src/command.c 1.175: Spello

2000-08-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.174, src/init.c 1.36, src/menubar.c 1.42, src/misc.c 1.35, src/rxvt.h 1.102:
	Use C0 set terminology.
	From ISO/IEC 6429:1992(E)

	* src/command.c 1.173: Fix a couple of errors in CSI defaults.
	Start of Xref to ISO/IEC 6429:1992(E) entries.

2000-08-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.172: Provide more generic parsing up to ST

2000-08-24  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.56: Update

	* src/screen.c 1.149:
	Don't clear new lines with any base attribute information, noticed by
	Brian Mays <brian@debian.org>

2000-08-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.148: Formatting nits

	* doc/changes.txt 1.55: Update

	* src/feature.h 1.43, src/init.c 1.35, src/main.c 1.125, src/rxvt.h 1.101, src/screen.c 1.147, src/xdefaults.c 1.67:
	Merge NO_BOLDUNDERLINE and NO_REVERSE_VIDEO_COLOR into
	NO_BOLD_UNDERLINE_REVERSE

2000-08-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.146:
	Add check back in: don't use RV colour as background when it would
	be the same as the foreground colour

	* doc/yodl/rxvt-resources.yo 1.22: Document colorRV

	* doc/changes.txt 1.54: Update

	* src/feature.h 1.42, src/init.c 1.34, src/rxvt.h 1.100, src/screen.c 1.145, src/xdefaults.c 1.66:
	Add ability to set reverse video colour, from
	Thomas Woerner <thomas@linux.de>

2000-08-17  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvt-options.yo 1.13: Note -b is compile dependant

2000-08-15  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.171, src/init.c 1.33: Fix Offix atom names.
	Don't presume that atom _XROOTPMAP_ID exists at startup.

2000-08-11  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.53: Update

	* rclock/rclock.1.in 1.3, rclock/rclock.c 1.4:
	Add -mailfile option to override MAIL env. var. as location of mail, from
	Matthew W. Roberts <matt@lehi.tamu.edu>

2000-08-07  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.52: Update

	* src/command.c 1.170:
	If we're not mapped then don't timeout on the select() - note
	that want_refresh won't be reset below since scr_refresh() will
	return early.  Noticed by
	Tore Bjorkeli <tore.bjorkeli@runit.no>

2000-08-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.124, src/scrollbar.c 1.37, src/xdefaults.c 1.65:
	Remove trailing whitespace

2000-07-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/graphics.c 1.30, src/rxvtgrx.h 1.5:
	Move the graphics structures out of the common header lest
	it cause problems should other programs include it.

	* src/graphics/qplot.c 1.4: Don't strcmp() on a NULL, from
	Torsten Hilgenberg <t.h@stud.uni-goettingen.de>

2000-07-26  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.32, src/main.c 1.123, src/rxvt.h 1.99:
	Move items from rxvt_privileges() into big struct

	* src/graphics.c 1.29, src/init.c 1.31, src/rxvt.h 1.98:
	Move graphics vars into big struct

	* doc/changes.txt 1.51: Update

	* src/init.c 1.30: Fix Meta detection, overriding Alt

2000-07-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.97, src/scrollbar.c 1.36: Fix for no-scrollbar build

	* autoconf/configure.in 1.95:
	Pull in <sys/types.h> in wtmp/x & lastlog checks

	* autoconf/configure.in 1.94: Find a real awk, noticed by
	Paul D. Smith <psmith@baynetworks.com>

2000-07-24  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/Make.common.in 1.13, src/Makefile.in 1.41:
	Fix alternative directory build

	* src/init.c 1.29, src/rxvt.h 1.96: Fix preproc. #if stuffup, from
	Paul D. Smith <psmith@baynetworks.com>

	* src/main.c 1.122, src/rxvt.h 1.95:
	Move two more items to rxvt big struct.  Clean up set_colorfgbg()

	* src/init.c 1.28, src/main.c 1.121, src/scrollbar-next.c 1.8:
	Accumulate colour parsing and allocation into central location.

	* src/scrollbar.c 1.35: Small cleanup

	* src/feature.h 1.41:
	Add SCROLL_ON_NO_SECONDARY used in screen.c when compiled
	with --disable-swapscreen

2000-07-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/graphics.c 1.28, src/rxvt.h 1.94, src/rxvtgrx.h 1.4:
	Move rxvtgrx.h out of rxvt.h.  Move graphics structs into rxvtgrx.h

	* src/graphics.c 1.27, src/rxvt.h 1.93:
	Start cleaning up rxvt.h and move some stuff back into graphics.c

	* src/rxvt.h 1.92, src/scrollbar.c 1.34:
	One central update caller for scrollbar

	* src/screen.c 1.144: Remove unused variable

	* src/rxvt.h 1.91: Position.  Position.  Position

	* src/menubar.c 1.41: Fix botch in previous

	* src/init.c 1.27, src/menubar.c 1.40, src/menubar.h 1.5, src/rxvt.h 1.90:
	Move the rest of menubar stuff into big struct

	* src/init.c 1.26, src/menubar.c 1.39, src/rxvt.h 1.89, src/scrollbar-next.c 1.7, src/scrollbar-rxvt.c 1.6, src/scrollbar-xterm.c 1.7:
	Merge some more common code.  Initialise scrollbars
	slightly differently so that in future scrollbar changing
	(in an instance) may be allowable.

	* src/init.c 1.25, src/menubar.c 1.38, src/rxvt.h 1.88, src/scrollbar-rxvt.c 1.5:
	Move some common code into init.  Move some stuff from menubar
	into big struct.

2000-07-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.24, src/rxvt.h 1.87:
	Make exposed PixColors useful by making size available

2000-07-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.86: Fix up preprocess for scrollbars

2000-07-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.37, src/command.c 1.169: Formatting nit

	* src/screen.c 1.143: Clean up.  Add comment

	* src/screen.c 1.142: Always remove underline in blanking

2000-07-15  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.141: Minor optimisations.  Add some more debug checks.

	* src/screen.c 1.140: Only blank line in scroll_text on spec==0

2000-07-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.139: Cleaning rounds

	* src/screen.c 1.138:
	Make sure we update the screen if we extend down to no selection

	* src/screen.c 1.137, src/command.c 1.168, src/graphics.c 1.26, src/main.c 1.120, src/menubar.c 1.37, src/scrollbar-next.c 1.6:
	Formatting.  Unexpand tabs.

	* doc/changes.txt 1.47: Update

	* src/screen.c 1.136: Minor cleanup

	* src/command.c 1.167, src/rxvt.h 1.85, src/screen.c 1.135:
	Remove rxvt_t's buf_tlen.  Replace rxvt_scr_scroll_lines()
	invocation with rxvt_scroll_lines().  Blank lines at scroll
	stage rather than after; all replaced lines are blanked out.

	* doc/changes.txt 1.46: Update

	* src/screen.c 1.134:
	Fix bug where newly allocated lines were keeping to much
	rendition information, from/via Brian Mays <brian@debian.org>

2000-07-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar-rxvt.c 1.4, src/scrollbar-xterm.c 1.6, src/scrollbar.c 1.33:
	Move common check into scrollbar.c

	* src/misc.c 1.34: Size optimise by combining loops.

	* src/scrollbar.c 1.32:
	Fix rxvt scrollbar height calculation.  Formatting nit (again).

	* src/scrollbar.c 1.31: Formatting nit

	* src/init.c 1.23: Initialise changed rxvt_t member.  Formatting nit.

	* src/main.c 1.119: Fix X error handler return type

	* src/rxvt.h 1.84: Don't conditionally build items in rxvt_t, again

	* src/command.c 1.166: Fix function name

	* src/rxvt.h 1.83: Don't conditionally build items in rxvt_t

	* autoconf/configure.in 1.93: Pull in <sys/types.h> in utmp/x checks

	* src/init.c 1.22, src/main.c 1.118, src/rxvt.h 1.82, src/screen.c 1.133:
	Decrease some variable sizes in rxvt_hidden struct.  Rearrange
	rxvt_privileged_ttydev() a bit & move some code into init area.

2000-07-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.21: Use return value for isastream()

	* src/command.c 1.165: Fix wrong Pixmap initialisation

	* autoconf/configure.in 1.92, src/init.c 1.20:
	Add isastream() configure check and use it

2000-07-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.164: Fix comment

2000-07-09  Geoff C. Wing  <gcw@rxvt.org>

	* README.configure 1.12: Update to current configure status.

	* autoconf/configure.in 1.91:
	Make scrollbars get properly reported in `module' list.

	* src/scrollbar.c 1.30: Fix pasto

2000-07-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.163, src/main.c 1.117:
	allowedxerror: 0 => no allowed errors, -1 => allowed errors,
	other => already had allowed error, no more allowed

	* autoconf/configure.in 1.90:
	Clean up and add a couple of notes w.r.t. --enable-*

2000-07-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.162, src/init.c 1.19, src/main.c 1.116, src/rxvt.h 1.81:
	Add provision to allow expected X errors for specific calls
	so we can cleanly continue, instead of aborting.

	* src/command.c 1.161, src/init.c 1.18, src/main.c 1.115, src/rxvt.h 1.80:
	Remove CNQueue stuff.  It wasn't quite right.  Better handled
	with delayed screen updates and upcoming changes to allocations
	in screen memory handling.

	* doc/changes.txt 1.45: Update

	* src/command.c 1.160, src/init.c 1.17, src/main.c 1.114, src/rxvt.h 1.79, src/screen.c 1.132, src/xpm.c 1.36:
	Add initial stage of copy root pixmap transparency.  Slower and
	more memory consuming but does not interfere with parent windows
	which may not be empty.  Requires cooperation from programs
	which set the root pixmap.

2000-07-05  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvtRef-menubar.yo 1.4, doc/yodl/rxvtRef-xpm.yo 1.7, doc/yodl/rxvtRef-xterm.yo 1.4:
	Note ST as terminator for OSC sequences.  List 8-bit & 7-bit ST as well
	as backward compatible BEL.

	* doc/yodl/rxvt-options.yo 1.12, doc/yodl/rxvt-resources.yo 1.21:
	Note help commands

	* doc/changes.txt 1.44: Update

	* doc/yodl/rxvt-options.yo 1.11: List arg to -xrm differently

	* doc/changes.txt 1.42: Update

	* doc/yodl/rxvt-resources.yo 1.20: Synchronise with current state.
	Note scrollBar_right, scrollBar_floating, scrollTtyOutput, scrollTtyKeypress,
	preeditType, inputMethod, modifier.

	* doc/yodl/rxvt-options.yo 1.10: Synchronise with current state.
	Note -tr, -ic, -pt, -im, -mod, -xrm.

	* src/xdefaults.c 1.64: Usage for compile-time frills

	* src/rxvt.h 1.78, src/xdefaults.c 1.63, src/command.c 1.159, src/init.c 1.16:
	s/scrollKeypress/scrollTtyKeypress/ to match user keyword

	* src/command.c 1.158:
	Make sure we obey scrollTtyKeypress for keys and force a screen
	update if needed, noticed by Reuben Thomas <Reuben.Thomas@cl.cam.ac.uk>

2000-06-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.113, src/init.c 1.15, src/rxvt.h 1.77:
	Move a couple more into big struct

	* src/scrollbar-next.c 1.5, src/scrollbar-rxvt.c 1.3, src/scrollbar-xterm.c 1.5, src/rxvt.h 1.76:
	Move variables from scrollbar modules into the big struct.

2000-06-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.62: Make xrm an INFO

	* src/xdefaults.c 1.61:
	Allow -xrm "string" to be silently passed through.  Original version by
	Christian W. Zuckschwerdt <zany@triq.net>, from report by
	Chris Green <cgreen@matthaak.com>

2000-06-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.21: Make sure we're using the real wtmp file

	* src/main.c 1.112: Make sure limit is applied

	* src/feature.h 1.40, src/main.c 1.111:
	Add some arbitrary limits (defined in feature.h) to
	geometry size.  Limits are in terms of columns and rows,
	not pixel width and height.

2000-05-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.20: Fix reference to moved variable

2000-05-20  Oezguer Kesim  <oec@rxvt.org>

	* doc/rxvtRef-toc.html 1.3, doc/yodl/rxvt.yo 1.5:

	Fixed old references to babayaga.math.fu-berlin.de in the documentation.

2000-05-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.14, src/main.c 1.110, src/rxvt.h 1.75:
	Move a couple of vars into the hidden struct

	* src/init.c 1.13, src/rxvt.h 1.74, src/scrollbar.c 1.29:
	Deglobify some scrollbar.c variables

	* src/scrollbar-xterm.c 1.4: constify

2000-05-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.131: Fix unsigned usage in assert()

	* src/command.c 1.157: Replace/Insert mode change needs argument == 4

2000-05-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.156: Pedantic/Traditional

2000-05-03  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile.in 1.8, doc/Makefile.in 1.20, rclock/Makefile.in 1.4, src/Makefile.in 1.40, src/graphics/Makefile.in 1.4, src/test/Makefile.in 1.2:
	Add target cleandir, same as realclean

	* src/Makefile.in 1.39: Make LINK like COMPILE.
	General cleanup

	* autoconf/Make.common.in 1.12: Make LINK like COMPILE

	* autoconf/configure.in 1.89:
	Don't make static library by default, either.

2000-05-01  Geoff C. Wing  <gcw@rxvt.org>

	* doc/etc/rxvt.termcap 1.3: Add "ut" (BCE)

	* src/scrollbar-xterm.c 1.3: Pedantic

	* src/command.c 1.155, src/init.c 1.12, src/menubar.c 1.36, src/misc.c 1.33, src/rxvt.h 1.73, src/xpm.c 1.35:
	Make sure OSC can handle ST (7bit and 8bit) terminators.
	Pass which terminator was used through providing for future OSC
	which give direct responses.

	* src/scrollbar-next.c 1.4: Pedantic

2000-04-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.130: Quiet pedantic warning

	* src/command.c 1.154: Be a nice type in our CSI defaults array

2000-04-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.129:
	Fix up internal vt border handling, possibly temporary fix

2000-04-17  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/ltconfig 1.3: Add in my NetBSD fix

2000-04-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.38: Expose proto making

	* src/Makefile.in 1.37:
	Make sure rxvt.{o,lo} gets rebuilt if needed.  Tidy dependency list.

	* src/command.c 1.153:
	Make sure our key mapping of certain character classes gets used, from
	Samoylov Olleg <olleg@faki-campus.mipt.ru>

	* .prebuild 1.3: Show what .prebuild is doing

	* autoconf/configure.in 1.88: Check linking -rpath before -R
	Hack at XPM_LIBS flags as well.

	* src/Makefile.in 1.36:
	don't output libtool line since libtool provides its own output

	* src/rxvt.h 1.72: Make sure we have necessary defines

	* src/xdefaults.c 1.60: Fix up from merge

	* src/scrollbar-next.c 1.3: Remove unused variable

	* src/init.c 1.11: Fix up from merge

	* src/graphics/.cvsignore 1.2, src/screen.h 1.16, src/scrollbar-next.c 1.2, src/scrollbar-rxvt.c 1.2, src/scrollbar-xterm.c 1.2, src/scrollbar.c 1.28, src/test/.cvsignore 1.2, src/version.h 1.21, src/xdefaults.c 1.59, src/xpm.c 1.34, .cvsignore 1.2, Makefile.in 1.7, autoconf/.cvsignore 1.2, autoconf/Make.common.in 1.11, autoconf/acconfig.h 1.34, autoconf/aclocal.m4 1.3, autoconf/config.guess 1.2, autoconf/config.sub 1.2, autoconf/configure.in 1.87, autoconf/libtool.m4 1.2, autoconf/ltconfig 1.2, autoconf/ltmain.sh 1.2, autoconf/xpm.m4 1.2, doc/.cvsignore 1.2, doc/Makefile.in 1.19, doc/yodl/.cvsignore 1.2, doc/yodl/rxvt-resources.yo 1.19, rclock/.cvsignore 1.2, src/.cvsignore 1.2, src/.indent.pro 1.3, src/Makefile.in 1.35, src/command.c 1.152, src/command.h 1.23, src/feature.h 1.39, src/graphics.c 1.25, src/init.c 1.10, src/init.h 1.4, src/logging.c 1.19, src/logging.h 1.8, src/main.c 1.109, src/makeextprotos-awk 1.7, src/makeintprotos-awk 1.7, src/menubar.c 1.35, src/misc.c 1.32, src/netdisp.c 1.13, src/protos.h 1.11, src/rxvt.c 1.2, src/rxvt.h 1.71, src/screen.c 1.128:
	Merge branch "librxvt"

2000-04-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/test/.cvsignore 1.1, src/graphics/.cvsignore 1.1, rclock/.cvsignore 1.1, doc/yodl/.cvsignore 1.1, src/.cvsignore 1.1, doc/.cvsignore 1.1:
	New file.

2000-04-13  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/.cvsignore 1.1: New file.

	* .cvsignore 1.1: Merge trunk

	* src/scrollbar-next.c 1.1, src/scrollbar-rxvt.c 1.1, src/scrollbar-xterm.c 1.1:
	New file.

2000-04-11  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/configure.in 1.86: Do previous properly

	* autoconf/configure.in 1.85: Shortcut CYGWIN detection

2000-04-10  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/config.h.in 1.42, Makefile 1.22, configure 1.81:
	Use .prebuild to make configure autoconf/config.h.in
	Use configure to make Makefile

	* .prebuild 1.2: Make special generated files for the build process.

	* doc/changes.txt 1.41: Update

	* .prebuild 1.1: New file.

	* src/init.h 1.3: Don't pull in a couple of headers for CYGWIN

	* src/init.c 1.9:
	If we're transparent then use the depth of the root window as the
	depth for our windows, noticed by
	Tim Phipps <Tim_Phipps@bigfoot.com>

2000-04-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.58: Spew compile information in one string.

2000-03-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.108:
	Pull in termios.h, needed on SunOS and SCO for functions moved from
	command.c

	* doc/Makefile.in 1.18: Forgot to distribute menu/rxvt.zh-menu

	* doc/etc/rxvt.terminfo 1.3:
	Move sgr0 definition from rxvt into rxvt-basic, from
	Tijs Michels <M.H.M.Michels@kub.nl>

2000-03-26  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile 1.21: Regenerate

	* src/version.h 1.20: Bump version to 2.7.3

	* doc/changes.txt 1.40: Update

	* configure 1.80, autoconf/config.h.in 1.41: Regenerate

	* src/init.c 1.8, autoconf/acconfig.h 1.33, autoconf/configure.in 1.84:
	Add basic support for openpty(3) which should be used for Alpha platforms.
	Other platforms which have this in the base libs will also use this by
	default.  Those with it in a separate lib won't (e.g. NetBSD has it in
	libutil)

2000-03-16  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/libtool.m4 1.1, autoconf/xpm.m4 1.1, autoconf/ltmain.sh 1.1, autoconf/ltconfig 1.1, autoconf/config.guess 1.1, autoconf/config.sub 1.1, src/rxvt.c 1.1:
	New file.

2000-03-12  Geoff C. Wing  <gcw@rxvt.org>

	* rclock/rclock.c 1.3:
	Basic argument checking so we don't dump when required arguments
	are missing.  Currently ignore such arguments rather then output
	error messages.  From
	Jun Morimoto <morimoto@xantia.citroen.org>

	* doc/Makefile.in 1.17:
	Get rid of .lf output from tbl to make it work on some systems, noticed by
	Tung-Han Hsieh <thhsieh@linux.org.tw>

2000-03-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.57:
	When USE_XGETDEFAULT is defined, don't automatically pull in .Xdefaults
	and/or .Xresources - but allow it via a compile define.

	* doc/changes.txt 1.39: Update

	* configure 1.79: Regenerate

	* autoconf/configure.in 1.83: Fix typo, noticed by
	Paul 'TBBle' Hampson <Paul.Hampson@Pobox.Com>

2000-03-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.56: Remove redundant flag from previous change.

	* doc/changes.txt 1.38: Update

	* src/xdefaults.c 1.55: Fix up -si, noticed by
	Thomas Lofgren <tlofgren@cup.hp.com>

	* src/init.c 1.7:
	Reverse previous.  It was wrong.  xdefaults checks for previously
	set options.

2000-03-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.54:
	Only include the first of ~/.Xdefaults & ~/.Xresources

2000-02-27  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.37: Update

	* src/init.c 1.6:
	Process X resources before the command line so that the command
	line overrides the X resources, noticed by
	Thomas Lofgren <tlofgren@cup.hp.com>

	* src/main.c 1.107, src/rxvt.h 1.70:
	Move some dumb dummy defines to rxvt.h now that the routines are
	called from other files.

2000-02-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.h 1.22, src/init.h 1.2:
	Move CONSOLE define from command.h to init.h

	* src/screen.c 1.127:
	Fix core dump when sending selection with NULL selection, noticed by
	Ben Middleton <ben.middleton@mediasurface.com>

2000-02-21  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.36: Update

	* configure 1.78: Regenerate

	* src/screen.c 1.126, src/screen.h 1.15, src/xdefaults.c 1.53, doc/yodl/rxvt-options.yo 1.9, doc/yodl/rxvt-resources.yo 1.18, src/main.c 1.106, autoconf/configure.in 1.82:
	Change --with-encoding= configure option "euckr" to "kr" to match
	long option and resource name.  Add new encoding method "noenc"
	which turns off encoding for the rxvt instance allowing normal
	eight bit characters.

2000-02-19  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.77: Regenerate

	* doc/changes.txt 1.35: Update

	* autoconf/Make.common.in 1.10, autoconf/configure.in 1.81, doc/Makefile.in 1.16, src/Makefile.in 1.34, INSTALL 1.8:
	Add ability to use extra "standard" configure options:
	--program-prefix=PREFIX
	--program-suffix=SUFFIX
	--program-transform-name=PROGRAM
	From comments by Christoph von Stuckrad <stucki@math.fu-berlin.de>

2000-02-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.69: remove artifact from previous

	* src/init.c 1.5:
	Fix setting for debug output.  Add another trivial debug string.

	* src/rxvt.h 1.68: expand define

2000-02-09  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.34: Update.

	* src/scrollbar.c 1.27, src/init.c 1.4, src/main.c 1.105:
	Colour determination for low colour (4 to 8 bit) displays, from
	Hans de Goede <hans@highrise.nl>

2000-02-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.104:
	Do previous commit better: on signal, don't call exit() (possible race?)
	but just call the clean up routine and make the clean up routine
	happy with multiple calls.  Currently, set default signal before clean
	up routine.

2000-02-05  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.33: Update

	* src/main.c 1.103:
	On fatal signal make sure we go through clean_exit(), noticed by
	Jim Diamond <jdiamond@fox.nstn.ca>

2000-01-26  Geoff C. Wing  <gcw@rxvt.org>

	* src/init.c 1.3:
	Use -bd (resource: borderColor) properly (even though it's not
	visible in normal WM'd windows)

2000-01-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.33: Add headers to ctags file

2000-01-20  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.76: Regenerate

	* autoconf/configure.in 1.80:
	--enable-everything also does --enable-frills (as per --help)

2000-01-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.102, src/menubar.c 1.34, src/xdefaults.c 1.52, src/init.c 1.2, src/command.c 1.151:
	Remove void cast of ignored return values - everywhere or nowhere => nowhere in this case

	* src/screen.c 1.125:
	Missed part of reorganisation.  Also, change type of TARGETS selection atom
	to ATOM (as per ICCCM v2.0) and basic support for TIMESTAMP selection atom.

	* src/feature.h 1.38, src/protos.h 1.10, src/rxvt.h 1.67, src/command.h 1.21, src/main.c 1.101, src/Makefile.in 1.32, src/command.c 1.150:
	Major reorganisation of routines.  Most initialisation routines are now
	in init.c - this is a late checkin and unfortunately has undocumented
	bugfixes.

	* configure 1.75: Regenerate

	* autoconf/configure.in 1.79:
	Do specified settings/defines after other checks

	* src/init.c 1.1, src/init.h 1.1: Initialisation routines.

2000-01-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.149:
	Fix up KP_Down code: Should be ``ESC O r'' though I had a 102 manual
	that said ``ESC O w''.  Treat it as a typo and go with the flow.
	Originally reported back in 1998 by
	Brian Mays <brian@debian.org>

2000-01-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/test/strings-memmove.c 1.3: Clean up

	* configure 1.74: Regenerate

	* autoconf/configure.in 1.78:
	Fix -R check.  The test program doesn't need to run any functions,
	just execute successfully with those functions compiled in.

2000-01-05  Geoff C. Wing  <gcw@rxvt.org>

	* doc/menu/rxvt.zh-menu 1.1: Big5 menu, by
	cwhuang@linux.org.tw

	* doc/changes.txt 1.32: Update

	* src/screen.c 1.124: Remove unused variable from scr_refresh()

	* src/menubar.c 1.33, src/command.c 1.148, src/main.c 1.100:
	The fontset was being created but not being used.  Calls added to use
	fontset to display menubars, such that they can be used to display
	international texts, by
	cwhuang@linux.org.tw

	Change fontset creation so that the font size of the fontset will be
	the same as that of the originary fonts. And re-create fontset when
	we change the font size, by
	Tung-Han Hsieh <thhsieh@linux.org.tw>

2000-01-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.147:
	Add stricter checking in ConfigureNotify bypass routine, from
	T.H.Hsieh <thhsieh@linux.org.tw>

1999-12-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvtgrx.h 1.3, src/screen.h 1.14, src/logging.h 1.7, src/menubar.h 1.4, src/rxvt.h 1.66, src/command.h 1.20:
	Update multi-include protection.  Add Id strings

1999-12-27  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.73: Regenerate

	* autoconf/configure.in 1.77:
	Shorten help output to 79 characters wide.

	* configure 1.72: Regenerate

	* autoconf/configure.in 1.76:
	Make --disable-foobar work after --enable-everything

1999-12-22  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.71: Regenerate

	* autoconf/configure.in 1.75: No default tbl program

	* configure 1.70: Regenerate

	* autoconf/configure.in 1.74:
	Don't rely on special host keyword 'local'

1999-12-21  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile 1.20: Regenerate

	* Makefile.in 1.6: Add src/test directory

	* src/version.h 1.19: Bump version to 2.7.2

	* doc/FAQ 1.4: Note yodl for documentation

1999-12-19  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.9: See previous LSM.in log message

	* configure 1.69: Regenerate

	* src/test/Makefile.in 1.1: Some basic test routines

	* src/test/strings-memmove.c 1.2: Visible result on OK

	* autoconf/configure.in 1.73: Add src/test directory

	* src/command.c 1.146: Copyright update

	* src/command.c 1.145:
	First cut at integrating QNX support, from 2.6.1 support
	for QNX 4.2[3-5] with Watcom C 10.6 by
	D. J. Hawkey Jr. <hawkeyd@visi.com>

	* src/test/strings-memmove.c 1.1:
	Add a basic test for memmove() in strings.c to confirm that everything
	is hunky dory.  Quite verbose.

1999-12-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.123, src/logging.c 1.18: Update casts

	* doc/changes.txt 1.31: Update

	* src/main.c 1.99, src/rxvt.h 1.65:
	Do borderwidths in int16_t so we don't have problems with types.

	* doc/yodl/rxvt-options.yo 1.8, doc/yodl/rxvt-resources.yo 1.17:
	Document internalBorder/externalBorder and short options for them.

	* doc/changes.txt 1.30: Update

	* src/rxvt.h 1.64, src/screen.c 1.122, src/xdefaults.c 1.51, src/graphics.c 1.24, src/main.c 1.98, src/command.c 1.144:
	Add configurable internal and external border widths

	* src/feature.h 1.37, src/main.c 1.97:
	Re-add BORDERWIDTH as EXTERNALBORDERWIDTH and use appropriately in
	geometry positioning.

	* src/scrollbar.c 1.26, src/main.c 1.96:
	Move scrollbar resizing code from main.c to scrollbar.c and make sure
	we size the scrollbar initially instead of waiting for a WM to send
	us events, otherwise it won't be visible.

	* src/command.c 1.143: Constify

1999-12-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.95: Fix negative position calculation

	* src/graphics.c 1.23, src/main.c 1.94, src/rxvt.h 1.63, src/screen.c 1.121, src/command.c 1.142, src/feature.h 1.36:
	Clarify use of BORDERWIDTH, rename to INTERNALBORDERWIDTH

1999-12-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.17, src/misc.c 1.31, src/xdefaults.c 1.50, src/xpm.c 1.33:
	Indenting

1999-12-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.93: Conditionalise variables

	* src/command.c 1.141, src/feature.h 1.35:
	Add SCROLL_ON_UPDOWN_KEYS to allow scrollback via (shift|meta|ctrl)
	modifier and up/down keys, default off for backwards compatibility, from
	Oskar Liljeblad <osk@hem.passagen.se>

	* src/command.h 1.19, src/command.c 1.140:
	Clean up IMBUFSIZ buffers and increase them

	* src/command.c 1.139: Clean up IMisRunning()

	* src/strings.c 1.2: clean up

1999-12-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.16: Copyright notice change

	* doc/changes.txt 1.29: Update

	* INSTALL 1.7: Short note on configure options

	* src/logging.c 1.15, src/logging.h 1.6:
	Add conglomerate patch: add lastlog support, add QNX support, from
	D J Hawkey Jr <hawkeyd@visi.com>
	Add WTMP_ONLY_ON_LOGIN, log wtmp entries only for login terms (-ls option)

	* src/feature.h 1.34:
	Allow for wtmp logging only with login shells, -ls option

	* configure 1.68: Regenerate

	* autoconf/acconfig.h 1.32, autoconf/config.h.in 1.40, autoconf/configure.in 1.72:
	Add --enable-lastlog and associated checks

	* src/screen.c 1.120:
	Fix selection_paste() to use the correct variable and thus
	handle large pastes again, noticed by
	Dominik Vogt <dominik.vogt@gmx.de>

1999-12-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/misc.c 1.30: Str_escaped() Size optimisation.

	* src/logging.c 1.14: Fix size of stored ut_id

	* src/command.h 1.18, src/command.c 1.138:
	Add some defines for QNX, from
	D. J. Hawkey Jr. <hawkeyd@visi.com>

1999-12-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.136:
	Remove PrivCases() define from process_terminal_mode() and place in
	its own routine.  Size optimisation.

	* src/feature.h 1.33, src/xdefaults.c 1.49, src/screen.c 1.119:
	Add NO_BELL option to disable all bell indications

1999-11-27  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.28: Update

1999-11-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.32:
	Turn off DISPLAY mangling (which Alpha people need/needed) by default.

1999-11-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.118:
	If a paste conversion to the proper locale fails, dump it in anyway.
	Free the return of XmbTextPropertyToTextList()

	* src/feature.h 1.31:
	Add define for resetting tty device permissions to pre-invocation state

1999-11-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.92: Set window name if debugging

	* src/main.c 1.91: Correct the use of XFetchName() return

	* src/command.c 1.135: More debug output for InheritPixmap

	* src/screen.c 1.117: Fix up use of enumeration in scr_expose()

	* src/command.c 1.134: Set variable properly

1999-11-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.133: Add some more debugging outputs

1999-11-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.116: Handle display permutations properly

	* src/command.c 1.132: Rearrange pty/tty stuff

1999-11-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.90, src/xdefaults.c 1.48:
	Make sure we're trimming strings from Xresources, partly from
	Remi Guyomarch <rguyom@mail.dotcom.fr>

1999-10-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.31: Improve build rule for parallel builds, from
	Trent Piepho <xyzzy@u.washington.edu>

1999-10-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.131:
	Have to update scrollbar immediately after a reset, otherwise it may
	be delayed indefinitely.

1999-10-08  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.67: Regenerate

	* autoconf/config.h.in 1.39, autoconf/configure.in 1.71:
	Check for setpgrp()/setpgid()

1999-10-06  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvt-options.yo 1.7:
	Fix resource name scrollTtyKeypress, noticed by
	Dominik Vogt <dominik.vogt@gmx.de>

1999-10-04  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.115:
	Fix error with reverse multibyte display, noticed by
	Tung-Han Hsieh <thhsieh@linux.org.tw>

	* src/screen.c 1.114: Check for NULL before use in pasting, from
	Kikutani, Makoto <kikutani@galaxy.net>

1999-10-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.130: Add DECREQTPARM since we document it

	* src/screen.c 1.113, src/xdefaults.c 1.47, src/main.c 1.89, src/menubar.c 1.32, src/misc.c 1.29, src/rxvt.h 1.62, src/command.c 1.129:
	Big resource renaming.  Put all the resources into a struct.  This
	may save a few bytes and facilitates debugging.

	* src/main.c 1.88: Use whole DISPLAY for local X.

1999-09-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.112: Pasto

	* src/screen.c 1.111: Mini size optimisation: remove CHECK_SELECTION()

1999-09-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.110:
	Fix empty paste coredump w/MULTICHAR_SET and optimise w/o, from
	Tung-Han Hsieh <thhsieh@linux.org.tw>

1999-09-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.61: Expand tranparency parent base

	* src/command.c 1.128: Repair SM/RM insert/replace mode code.

	* src/command.c 1.127, src/main.c 1.87:
	Do proper transparency check at the start.

	* doc/changes.txt 1.27: Update

	* doc/LSM.in 1.8: See previous LSM.in log message

	* doc/Makefile.in 1.15:
	Update to not depend on configure generating correct paths.

	* configure 1.66: Regenerate

	* autoconf/configure.in 1.70: Don't generate yodl files anymore.

	* doc/yodl/rxvtRef.yo 1.5: Remove CHDIR()s

	* doc/yodl/rxvt.yo.in 1.3, doc/yodl/rxvtRef.yo.in 1.3, doc/yodl/rxvt.yo 1.4, doc/yodl/rxvtRef.yo 1.4:
	Cannot set paths at configure time because configure doesn't work.

	* Makefile 1.19: Regenerate

1999-09-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.46:
	Output XIM as it has major effect upon terminal.

	* src/screen.c 1.109: Fix my idiotic optimisation from 1.106->1.107

	* src/screen.c 1.108:
	Remove the unused parts of scr_expose() and optimise it.

	* src/command.c 1.126: Fix up comment formatting

	* src/menubar.c 1.31:
	Pad Arrows struct (and allow current debug code to work).

	* src/screen.c 1.107: Optimise some code.

	* src/screen.c 1.106: Get rid of variable focus in scr_refresh()

	* src/screen.c 1.105: Improve checks for pixel dropping avoidance.

1999-09-26  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/acconfig.h 1.31, autoconf/config.h.in 1.38:
	Put defines which rely on user specification to configure at the top
	of config.h and autodetected defines after that.

	* src/screen.c 1.104:
	Do a two pass run across each line for pixel dropping avoidance.  Do
	the pass for left pixel droppings then include that information during
	the pass for right pixel droppings.  This integrates the bold overstrike
	pixel dropping avoidance.  Multichar fonts are not handled yet.  Negative
	lbearings with absolute value greater than the font width are not handled.
	Positive rbearings greater than twice the font width are not handled.

	* doc/changes.txt 1.26: Update

	* src/screen.c 1.103:
	Fix exposures argument of XClearArea().  Fix one calculation

	* src/screen.c 1.102: Use the macro for calculation

1999-09-25  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.101:
	Expand areas affected by CLEAR_ROWS() and ERASE_ROWS() to include sides

	* src/graphics.c 1.22, src/main.c 1.86, src/command.c 1.125, src/rxvt.h 1.60, src/feature.h 1.30:
	Replace TermWin_internalBorder with BORDERWIDTH.  Change default of
	BORDERWIDTH to 2.

	* src/main.c 1.85: Properly #ifdef some variables

	* src/command.c 1.124: Improve check for XIM server, from
	MANTANI Nobutaka <nobutaka@nobutaka.com>

	* src/command.c 1.123:
	Name CSI functions.  Determine any defaults before individual calls.
	Add secondary device attribute response ('R';version) with 'R'
	arbitrarily chosen.

	* src/version.h 1.18:
	Add VSTRING (version) for use in secondary device attribute response

1999-09-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.84, src/rxvt.h 1.59:
	Require strict font checking only upon user request (compiled).

1999-09-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.83, src/screen.c 1.100, src/scrollbar.c 1.25, src/command.c 1.122:
	Add extra argument to scr_touch()/scr_expose() to specify if immediate
	refresh is desired.
	Delay refreshing of transparent windows in some situations.  Allow a
	fast sequence of XConfigureWindow()s to do their job before we refresh.

1999-09-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.24:
	Remove extraneous (and now erroneous) definitions

1999-09-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.23:
	Adapt part of Jim Knoble's NeXT scrollbar changes to rxvt/xterm scrollbars.

1999-09-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.22, src/main.c 1.82, src/rxvt.h 1.58:
	Fix jitter in NeXT scrollbar size calculations.  Name some constants
	used in calculations, from
	Jim Knoble <jmknoble@pobox.com>

1999-08-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.99:
	Use mark position appropriately for selection extension.

1999-08-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.121, src/command.h 1.17:
	Check that the xim server is still running when we try to do stuff, from
	MANTANI Nobutaka <nobutaka@nobutaka.com>

1999-08-17  Geoff C. Wing  <gcw@rxvt.org>

	* doc/Makefile.in 1.14: Remove dependency in install for the moment

	* src/feature.h 1.29, src/main.c 1.81:
	LOCAL_X_IS_UNIX define to workaround a problem with Irix opening
	a local X display.

	* configure 1.65: Regenerate

	* autoconf/configure.in 1.69:
	Add warning for not found pty type.  Move warning for XPM to end.

	* autoconf/configure.in 1.68: Add extra sgi checks

1999-08-16  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.64: Regenerate

	* autoconf/configure.in 1.67: Fix another operator precedence error

1999-08-14  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.63: Regenerate

	* autoconf/configure.in 1.66: Add missing changequote for C code, from
	Chun-Chung Chen <cjj@u.washington.edu>

1999-08-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.28: Not Linux by default: match distributed termcap

	* src/command.c 1.120:
	Check focus before sending IM preedit position, from
	Tung-Han Hsieh <thhsieh@linux.org.tw>

1999-08-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.119:
	Reorder child operations to fix problems on USG pty machines, aided by
	Larry W. Virden <lvirden@cas.org>

1999-08-09  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.25: Update

1999-08-07  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.62: Regenerate

	* autoconf/configure.in 1.65: Fix operator precedence, from
	Albert Chin <china@thewrittenword.com>

	* src/logging.c 1.13:
	Add lost tty determining code when split fully into BSD/SYSV types.

1999-08-06  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.61: Regenerate

	* autoconf/configure.in 1.64: Balance parentheses.

1999-08-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.98: Forgot #ifdef MULTICHAR_ENCODING

	* doc/Makefile.in 1.13:
	Depend versioninfo.yo on version.h (instead of file generated from
	version.h)

	* Makefile 1.18: Regenerate

	* src/version.h 1.17: Update date for proper 2.7.0 development release.

	* src/screen.c 1.97, src/screen.h 1.13:
	Oops. Set MULTICHAR_ENCODING in the proper place.

	* src/screen.c 1.96, src/screen.h 1.12:
	Use MULTICHAR_ENCODING (set with configure)

	* configure 1.60: Regenerate

	* autoconf/configure.in 1.63:
	Use --with-encoding. Set --enable-xim if --enable-languages

	* src/main.c 1.80, src/screen.c 1.95, src/feature.h 1.27:
	Get multichar font stuff working again.  Handle all languages thus
	don't define base multichar fonts.  People can still define as mfont
	& mfont[1234567].  If we don't have a multichar font for the current
	size, spew an error at init/font-change and print blanks instead.

	* src/screen.c 1.94, src/main.c 1.79, src/rxvt.h 1.57:
	Add IS_MULTI1() & IS_MULTI2 to check for multichar states.
	Allow bold fonts and multichar fonts which are smaller than the
	main font.  Bold fonts which are larger are dropped.  No proper
	handling yet for multichar fonts.

1999-08-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/misc.c 1.28: Indenting

	* src/command.h 1.16: Youch.  We really want O_NOCTTY but...

	* src/command.c 1.118: Add a missing close()

	* src/command.c 1.117:
	More efforts to properly get the slave tty.  Goes overboard on some
	systems but tries to be safe.
	Use D_CMD() for error message printing.

1999-08-02  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.59: Regenerate

	* autoconf/configure.in 1.62: Go psycho on ptmx checking

1999-08-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.116:
	Allow Shift-Insert (paste selection) to work outside the window, just
	like regular keys, noticed by
	<pixel@linux-mandrake.com>

	* configure 1.58: Regenerate

	* autoconf/configure.in 1.61:
	find utmpx - if a utmp file exists at the same location and is more
	than an hour newer, then don't use utmpx.  People leave lots of odd
	files around.

	* doc/changes.txt 1.23: Update

	* src/command.c 1.115: Fix CSI cursor movements.

1999-07-31  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.114, src/main.c 1.78:
	Major change: move unsetenv()s to parent; move open of slave tty to
	parent; add use of revoke(); put code which wants setuid privileges
	into their own routines; all privileged operations done in parent;
	add use of setreuid() if that's all that's available; move child code
	except some terminal setup into its own routine; use standard file
	descriptor names; don't try to write stuff to file descriptors we
	have closed; add proper check of setsid().

	* src/rxvt.h 1.56: Define common file numbers via standard names

	* configure 1.57: Regenerate

	* autoconf/config.h.in 1.37, autoconf/configure.in 1.60:
	Check for revoke(), setreuid(), setsid()

	* src/xdefaults.c 1.45: Add missing bit of last commit

1999-07-30  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.22: Update

	* src/feature.h 1.26, src/xdefaults.c 1.44:
	Clean up XGetDefaults() - go for everything.  Mainly from
	SEO Young-Jin <yjseo@mizi.co.kr>

	* src/xdefaults.c 1.43: Fix cut'n'paste error.

1999-07-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.113: Fix UNSHIFTED_SCROLLKEYS

	* src/xdefaults.c 1.42: Accept more values as TRUE, from
	Andrew J. Schorr <schorr@ead.dsa.com>

	* src/command.c 1.112:
	Remove error messages printed when the old stderr is gone.

1999-07-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.111: Clean up

1999-07-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.110:
	make cmd_write() append to the cmd buffer, not prepend.

	* src/feature.h 1.25, src/screen.c 1.93, src/screen.h 1.11:
	Make cursor position fully independent on primary and secondary
	screens, including cursor save & restore.  Add define to feature.h
	to disable this.

1999-07-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.109: Make sure we do the check for InputOnly windows.

	* src/command.c 1.108:
	We can only change the backgrounds on InputOutput windows.

1999-07-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.92: More bounds checking

	* src/scrollbar.c 1.21:
	Fix scrollbar line drawing with SB_BORDER feature, from
	Mike Hopkirk (Hops) <hops@sco.com>

	* configure 1.56: Regenerate

	* src/command.c 1.107, src/rxvt.h 1.55, autoconf/configure.in 1.59:
	SCO fixes: partly from
	Mike Hopkirk (Hops) <hops@sco.com>

1999-07-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.106: Fix some stupid orderings

1999-07-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/logging.c 1.12:
	Separate BSD and SYSV stuff slightly.  Add wtmp logging for BSD.
	Fix utmp position calculation for BSD to ignore comment/blank lines.

	* src/command.c 1.105, src/main.c 1.77, src/misc.c 1.27, src/rxvt.h 1.54:
	basename() -> r_basename():  Avoid Linux clashes:
	BSD*:             <libgen.h> char *basename(char *);
	SUS2:             <libgen.h> char *basename(char *);
	Digital:          <libgen.h> char *basename(char *);
	Linux Redhat 5.2: <string.h> char *basename(const char *)

1999-07-09  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.55: Regenerate

	* autoconf/configure.in 1.58:
	Don't have --enable-everything ==> --enable-strings

	* src/command.c 1.104, autoconf/config.h.in 1.36, autoconf/configure.in 1.57:
	Revert last

	* autoconf/config.h.in 1.35, autoconf/configure.in 1.56:
	Check for ttyslot()

	* src/command.c 1.103:
	Move cmd_fd to 0.  Then if we've got ttyslot() everything will be groovy.

	* src/logging.c 1.11: Handle wtmp write errors a bit more elegantly

1999-07-08  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.54: Regenerate

	* autoconf/configure.in 1.55: LIBS line hacking to support -R or -Wl,-R
	I wonder who's going to have problems with this.

1999-07-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.91: Bounds check properly after type change

1999-07-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.90: Comment out now unnecessary checks

	* src/rxvt.h 1.53:
	Revert previous.  Make TermWin.nscrolled + TermWin.view_start unsigned to
	avoid overflows.  Fixes problem with "rxvt -sl 32767" noticed by,
	Preston Brown <pbrown@redhat.com>

	* src/rxvt.h 1.52: Bump row_col_t to 32bit

	* src/screen.c 1.89: g/c

1999-07-05  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.53: Regenerate

	* src/feature.h 1.24, autoconf/acconfig.h 1.30, autoconf/config.h.in 1.34, autoconf/configure.in 1.54:
	Add --enable-everything to enable standard non-three-or-more-option features.
	Move feature.h(NO_FRILLS) as --(en|dis)able-frills

1999-07-04  Geoff C. Wing  <gcw@rxvt.org>

	* README.configure 1.11: Note --disable-memset -> --enable-strings

	* src/screen.c 1.88, src/strings.c 1.1, src/xdefaults.c 1.41, src/xpm.c 1.32, src/misc.c 1.26, src/netdisp.c 1.12, src/protos.h 1.9, src/rmemset.c 1.19, src/rxvt.h 1.51, src/menubar.c 1.30, src/Makefile.in 1.30, src/command.c 1.102, src/logging.c 1.10, src/main.c 1.76, doc/changes.txt 1.21, autoconf/acconfig.h 1.29, autoconf/config.h.in 1.33, autoconf/configure.in 1.53, Makefile 1.17, configure 1.52:
	1) remove --disable-rmemset; add --enable-strings
	remove rmemset.c; add strings.c - in 2.15 Mark Olesen added a
	strcasecmp() function stating it avoided linking in an extra library.
	Unstated: what library and what OS.  Add some similar functions, but
	make the default to be disabled because it will probably add text
	space for most people.
	Moved rmemset() -> memset(), my_strcasecmp() -> strcasecmp() and wrote
	several other replacement string functions.  Note that external
	programs will also use these.
	2) CALLOC() had weird argument ordering for dmalloc.  dmalloc versions
	haven't defined this for a while so go back to normal ordering - if
	you use an old dmalloc, you may have problems.

1999-07-03  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.51: Regenerate

	* autoconf/configure.in 1.52:
	Do proper check for XPM includes & libraries.  Disable and give warnings if
	either cannot be found when --enable-xpm-background is specified.
	Semi-standardise some "if test" lines.

	* src/main.c 1.75, src/misc.c 1.25, src/screen.c 1.87, src/xpm.c 1.31, src/command.c 1.101, src/logging.c 1.9:
	Update my copyrights

	* src/rxvt.h 1.50, src/screen.c 1.86, src/screen.h 1.10, src/xdefaults.c 1.40, src/command.c 1.100, src/feature.h 1.23, src/main.c 1.74:
	Remove trailing whitespace

1999-07-02  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.20: Formating.

	* src/main.c 1.73, src/rxvt.h 1.49, src/screen.c 1.85, doc/yodl/rxvtRef-xterm.yo 1.3:
	Add another XTerm escape sequence (OSC) #55 : dumps to a file all of the
	scrollback and current screen.  File is either absolute or relative to the
	term's invocation.  NO errors reported.  NO file argument parsing.  Wrapped
	lines preserved.

	* src/main.c 1.72: Need default scrollTtyOutput after change of name.

	* src/misc.c 1.24: Update comment

	* src/screen.c 1.84, src/xdefaults.c 1.39, src/main.c 1.71, src/misc.c 1.23, src/command.c 1.99:
	my_basename() -> r_basename()
	xdefaults.c:my_strcasecmp() -> misc.c:r_strcasecmp() & use tolower()
	new r_strncasecmp()

	* doc/changes.txt 1.19: Note some changes

	* doc/yodl/rxvt-options.yo 1.6:
	Note opposite effect of -si and scrollTtyOutput

	* src/xdefaults.c 1.38: Allow reversed flags/options

	* src/rxvt.h 1.48: Missing bit of previous

	* src/command.c 1.98, src/rxvt.h 1.47, src/screen.c 1.83:
	Opt_scrollTtyOutputInh -> Opt_scrollTtyOutput

	* src/rxvt.h 1.46: Allow invocation flags to have reverse meaning

1999-06-30  Geoff C. Wing  <gcw@rxvt.org>

	* doc/BUGS 1.8: Update bug email

1999-06-23  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.50: Regenerate

	* autoconf/configure.in 1.51: Remove echo -n

	* src/version.h 1.16: Bump version to 2.7.0 as development

	* configure 1.49: Regenerate

	* src/rxvt.h 1.45, src/screen.c 1.82, src/screen.h 1.9, src/xdefaults.c 1.37, autoconf/config.h.in 1.32, autoconf/configure.in 1.50, doc/yodl/rxvt-options.yo 1.5, doc/yodl/rxvt-resources.yo 1.16, src/feature.h 1.22, src/main.c 1.70, autoconf/acconfig.h 1.28:
	First cut at integration of all multichar glyph languages. Still to do:
	- proper font selection
	- configuration default setting
	- method of changing encodings (and fonts) after invocation
	- proper handling of size mismatches in fonts

1999-06-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.69: Reversed scrollbar floating logic, noticed by
	Erik Jacobsen <erik@mint.com>

	* src/rxvt.h 1.44: always have want_refresh

	* autoconf/acconfig.h 1.27: Update comment

	* src/command.c 1.97, src/command.h 1.15:
	PUSH tty controls on PTMX not svr4

	* src/command.c 1.96:
	Provide better grantpt() handling, and tty ownership now dependent on
	grantpt() success.

	* autoconf/config.h.in 1.31: Regenerate

	* autoconf/configure.in 1.49: Check for unlockpt()

1999-06-11  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/acconfig.h 1.26:
	Remove unused define as it defined by default detection

	* configure 1.48: Regenerate

	* autoconf/config.h.in 1.30, autoconf/configure.in 1.48:
	Try other method of IRIX pty detection

1999-06-10  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/config.h.in 1.29: Regenerate

	* src/command.c 1.95:
	grantpt() is supposed to set the tty uid/gid/mode appropriately, from
	Carlos Carvalho <carlos@fisica.ufpr.br>

1999-06-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.94: Revert to old timeout in cmd_getc()

	* src/command.c 1.93: Remove extra, unbalanced parenthesis, noticed by
	Fabrice_GONTON@paribas.com

1999-06-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.81, src/scrollbar.c 1.20, src/xdefaults.c 1.36, src/xpm.c 1.30, src/grkelot.c 1.11, src/logging.c 1.8, src/main.c 1.68, src/menubar.c 1.29, src/misc.c 1.22, src/netdisp.c 1.11, src/rmemset.c 1.18, src/rxvt.h 1.43, src/command.c 1.92, src/graphics.c 1.21:
	Move include of config.h out of rxvt.h and into individual files

	* autoconf/acconfig.h 1.25, autoconf/configure.in 1.47, src/command.c 1.91:
	Also check for grantpt() if we're USG/GLIBC like ttys

1999-05-31  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.80: Remove unused variable from selection_paste()

1999-05-27  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.90: pullup 1.85.2.7

1999-05-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.89, src/graphics.c 1.20, src/menubar.c 1.28, src/netdisp.c 1.10, src/protos.h 1.8, src/rxvt.h 1.42, src/xpm.c 1.29, autoconf/configure.in 1.46, src/Makefile.in 1.29, configure 1.47:
	Revert to only making what we need; only more so than before

1999-05-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.79: Fix two multichar set problems:
	- writing Kanji during insert mode (by ESC [ 4 h).
	- writing Kanji in middle of two Kanji characters (e.g. when two Kanji are placed on columns 1,2 and 3,4, and new Kanji is put on columns 2,3), noticed by
	TATEOKA Takamichi <tate@spa.is.uec.ac.jp>

	* src/screen.c 1.78: pullup 1.76.2.3:
	Fix compilation error on MULTICHAR_SET
	pullin 1.76.2.4:
	Fix processing order of tab, carriage return and line feed when in MULTICHAR_SET, reported by
	TATEOKA Takamichi <tate@spa.is.uec.ac.jp>

1999-05-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.88: Cleanup mouse wheel scrolling code.

1999-05-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.77, src/version.h 1.15, src/xdefaults.c 1.35, doc/yodl/rxvt-resources.yo 1.15, src/feature.h 1.21, src/main.c 1.67, src/rxvt.h 1.41, autoconf/acconfig.h 1.24, autoconf/config.h.in 1.28, autoconf/configure.in 1.45, doc/changes.txt 1.18, README.configure 1.10, configure 1.46, src/command.c 1.87:
	pullup changes from 2-6-0

1999-05-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.86:
	Try the indirect opening of tty.  This whole area needs rewriting.

1999-05-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/misc.c 1.21: Build some routines only upon requirement.

	* src/screen.c 1.76: Fix some logic in scr_erase_line() for whole line.

	* src/xdefaults.c 1.34:
	Was the to_keysym define really worth it?  Remove it

	* configure 1.45: Regenerate

	* autoconf/configure.in 1.44: Try to avoid another false positive

	* doc/TODO 1.7: Note in progress items.

	* src/screen.c 1.75: Move some common code into own routine.  Reindent.

	* src/command.c 1.85, src/command.h 1.14:
	Back to simple queue for CN requests.  Don't want prev information.

	* src/rmemset.c 1.17: No stub if not defined.

	* src/command.c 1.84: Fix buffer overrun.

1999-04-27  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.44: Regenerate

	* autoconf/configure.in 1.43: Avoid a false positive with EACCES

1999-04-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.74:
	Fix Multichar selection problems with old selection style, noticed by
	Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>

	* configure 1.43, autoconf/config.h.in 1.27: Regenerate

	* src/command.c 1.83, autoconf/acconfig.h 1.23, autoconf/configure.in 1.42:
	Check for GLIBC getpt() extension, partly from
	Andreas Jaeger <aj@arthur.rhein-neckar.de>

	* README.configure 1.9: Enhance --enable-xim description.

1999-04-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.82:
	XRegisterIMInstantiateCallback() in C locale if not MULTICHAR_SET.
	Different method for XIM: try XSetLocaleModifiers() with given options,
	if any, then with none (allowing XMODIFIERS env. var. to be used), then
	with "@im=none".  Hopefully this will satisfy everyone's needs.

1999-04-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/graphics.c 1.19: No stubs for internal routines if not defined

1999-04-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.80: Fix stuff up in loop for check of preedit type.

	* src/command.c 1.79: Fix some of my stuff-ups including
	do NOT XRegisterIMInstantiateCallback() before we change locale, from
	MANTANI Nobutaka <nobutaka@nobutaka.com>

	* src/command.c 1.78: Minor cleanup.

	* src/command.c 1.77:
	Clean up loops.  Enhance defaults for preedit type.

	* src/command.c 1.76: Pasto.

1999-04-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.h 1.13, src/misc.c 1.20, src/command.c 1.75:
	strcpy() -> STRCPY(), other small clean ups.

1999-04-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.74:
	Clean up.  Fix typo.  XRegisterIMInstantiateCallback() before we change locale.

	* configure 1.42: Regenerate

	* autoconf/configure.in 1.41:
	Fix botch of checking setting for utmp/x and wtmp/x, noticed by
	Marc Baudoin <babafou@pasteur.fr>

1999-04-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.73:
	Be more generous with mapping unmapped keysyms to Latin1, from
	Pavel Roskin <pavel_roskin@geocities.com>

1999-04-05  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.17: _tom_@sf.airnet.ne.jp  is  Yasuda Tsutomu

1999-04-04  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.7: See previous LSM.in log message

	* Makefile 1.16: Regenerate

	* src/version.h 1.14: Bump version to 2.6.PRE3

	* configure 1.41: Regenerate

	* autoconf/configure.in 1.40: Verbose pty/tty type

	* README.configure 1.8: Clean up

	* doc/changes.txt 1.16: Update

1999-04-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.73: Always do proper selection request conversions.

	* src/screen.c 1.72:
	Integrate part of a patch to handle Kanji/multichar stuff better,
	from Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>

1999-04-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.71:
	Use determined sb_width, not WIDTH for width adjustments.

	* src/command.c 1.70: Removed unused variable.

	* src/command.c 1.69: Fix two problems on X Input Method:
	1) Can't display preedit area in "OverTheSpot" input style with some input methods.
	2) The location of preedit area in "OffTheSpot" input style is wrong.
	From MANTANI Nobutaka <nobutaka@nobutaka.com>

1999-03-31  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.40: Regenerate

	* src/command.c 1.68, autoconf/acconfig.h 1.22, autoconf/config.h.in 1.26, autoconf/configure.in 1.39:
	Move pty type to config.h using basic configure check which will
	probably need enhancing (and testing).

1999-03-29  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile.in 1.5: Add ChangeLog to distribution

	* src/command.c 1.67, src/xdefaults.c 1.33, src/rxvt.h 1.40:
	Remake resource `modifier' as override for probe, from
	Guillaume Laurent <glaurent@worldnet.fr>

1999-03-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.66, src/command.h 1.12, src/feature.h 1.20:
	Clean up up/down-arrow & Prior/Next handling.

	* autoconf/Make.common.in 1.9: Update sites and contact information

1999-03-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.65: Set want_refresh on window focus change.

	* src/rxvt.h 1.39, src/screen.c 1.71, src/command.c 1.64, src/main.c 1.66:
	Be less avoiding of screen refreshes in case X events have caused updates,
	from Vaughn Cato <vcato@bellsouth.net>
	Different strategy to determine screen updates - anything that might have
	affected the screen now signals via `want_refresh'.  If it's unset, then
	nothing needs updating - or it's handled within the same routine.  Items
	which require want_refresh update:
	 - text added, changed
	 - cursor moved, changed, made {in,}visible
	 - view_start changed
	 - selection changed
	 - window changed

	* doc/changes.txt 1.15: Update

	* doc/yodl/rxvt-options.yo 1.4, doc/yodl/rxvt-resources.yo 1.14:
	Document floating/trough better

	* src/main.c 1.65:
	Don't want trough (scrollbar floating) unless normal scrollbar - noticed by
	Peter H. Chou <pchou@leland.Stanford.EDU>

	* configure 1.39: Regenerate

	* autoconf/configure.in 1.38: Clarify options slightly

1999-03-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.28, src/xpm.h 1.5, src/Makefile.in 1.28:
	Move xpm.h back into xpm.c - avoid possible recursive inclusion.
	Fixes problem noted by Felix Puetsch <Felix.Puetsch@zpr.uni-koeln.de>

1999-03-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.38, src/scrollbar.c 1.19:
	Make NeXT scroller minimum height of 15, suggested by Mike <logan@dct.com>
	Fix up a miscalculation in its height while we're there.

	* src/command.c 1.63:
	Fix XIM bug: can't input Japanese character when rxvt is started with
	"-bg white" option.
	Tsutomu Yasuda <tom@ap.nhe.nec.co.jp>

1999-02-28  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.14: Update

	* src/command.c 1.62, src/feature.h 1.19:
	Allow scrolling of single lines with shift and up/down arrow keys
	(not keypad arrow keys) in a similar manner to shift prior/next

1999-02-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.70: Indenting.

1999-02-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.h 1.11: Clean up.
	Check for matching parent depths if we're transparent.

	* src/command.c 1.61: Clean up.
	Check for matching parent depths if we're transparent, noticed by Jeremie Petit <Jeremie.Petit@Digital.com>

	* src/scrollbar.c 1.18: Constify and clean up.

1999-02-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.64: Free  char **r_argv  after we're done with it.

	* src/logging.c 1.7:
	Don't utmpname() - for one thing, it's based on a configure guess.
	Use whatever the system has for us to use.  Is this dangerous on
	some systems?  Can invoking programs do utmpname() which we inherit?

1999-01-31  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.13: Update

1999-01-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.68: Fix weirdo OOB bug

	* src/screen.c 1.67: Be careful examining font struct - don't go OOB.

1999-01-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.63:
	Fix change_font/move_window bug better - avoids coredump on resize window!

1999-01-27  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.6:
	Keeping LSM which has a tar.gz size within the tar.gz is a real pain.

	* doc/FAQ 1.3:
	Note different compilation option method in this day and age.

	* doc/changes.txt 1.12: Update with latest info.

	* doc/yodl/rxvt-resources.yo 1.13:
	Clarify how resources are read in the default case.

	* Makefile 1.15: Regenerate

	* src/version.h 1.13: Bump version to 2.6.PRE2

	* src/main.c 1.62: Clean up the env var allocation a bit.

1999-01-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.60: Clean up.

1999-01-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.61:
	Fix resize_font/move_window causes blank term bug - reported by
	Hannu Liljemark <hannu.liljemark@mbnet.fi>

	* src/menubar.c 1.27, src/rxvt.h 1.37, src/screen.c 1.66, src/command.c 1.59, src/main.c 1.60:
	Handle issues with transparent windows dying when the parents are away -
	we're playing around with windows:
	1) we didn't create
	2) for which we're not responsible
	3) nobody else knows we're playing with
	so we have to make sure we're on the ball.

	Keep up to date information about parent windows we care about.

	* doc/changes.txt 1.11: Update

1999-01-22  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile 1.14, configure 1.38: Regenerate

	* src/main.c 1.59: Oops, remove conflict

	* src/screen.c 1.65, src/xdefaults.c 1.32, src/xpm.c 1.27, src/command.c 1.58, src/graphics.c 1.18, src/main.c 1.58, src/menubar.c 1.26, autoconf/acconfig.h 1.21, autoconf/config.h.in 1.25, autoconf/configure.in 1.37, src/command.h 1.10, src/rxvt.h 1.36:
	Merge rxvt-xim branch - XIM changes from MANTANI Nobutaka <nobutaka@nobutaka.com>

1999-01-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.57:
	Fix declaration of COLORFGBG env var to make it long lived,
	Rob Somerville <somervil@cadvision.com>

1999-01-10  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile 1.13: Regenerate

	* doc/LSM.in 1.5: Update size

	* README.configure 1.7: Document --enable-transparency

	* src/version.h 1.12: Bump version to 2.6.PRE1

	* doc/changes.txt 1.10: Sync all the latest changes.

	* doc/BUGS 1.7: Update

	* src/main.c 1.56:
	We must still export COLORFGBG even with NO_BRIGHTCOLOR defined.
	Noticed by Moritz Barsnick <barsnick@gmx.net>

	* configure 1.37: Regenerate

	* autoconf/configure.in 1.36:
	Check for XPointer typedef.  Make sure we properly include X directory

	* src/rxvt.h 1.35: Add check for XPointer typedef.

	* configure 1.36: Regenerate

	* autoconf/acconfig.h 1.20, autoconf/config.h.in 1.24:
	Check for XPointer typedef.

	* doc/Makefile.in 1.12: Idiot.  Fix all: rule

	* configure 1.35: Regenerate

	* doc/Makefile.in 1.11:
	Check for TBL.  Premake everything, except maybe rxvt.1, and do not
	depend all on anything.

	* autoconf/Make.common.in 1.8, autoconf/configure.in 1.35:
	Check for ``tbl'' so we can format the manual page on the end system.

	* doc/yodl/rxvt-options.yo 1.3, doc/yodl/rxvt-resources.yo 1.12:
	Document ip/inheritPixmap support.

1999-01-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/feature.h 1.18, src/screen.c 1.64:
	Default to not "bw" (termcap) and use xterm-defined undefined behaviour.

1999-01-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.57:
	Remove, now unnecessary, __CYGWIN__ avoidance of struct winsize members

	* src/xdefaults.c 1.31:
	Options --transparent -> --inheritPixmap, -tr -> -ip,
	-tr compatibility added.

	* src/menubar.c 1.25:
	Remove use of itimerval.it_value when we're only using it_value

1999-01-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/misc.c 1.19: Stupid comparison.  Change && to ||

1999-01-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.27:
	No ! in if test - from <rednoise@pike.sover.net>

	* configure 1.34: Regenerate

	* autoconf/configure.in 1.34:
	Must terminate typedefs, duh! - from Paul D. Smith <psmith@BayNetworks.COM

	* autoconf/Make.common.in 1.7:
	Add back @X_EXTRA_LIBS@ - from Paul D. Smith <psmith@BayNetworks.COM>

1999-01-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.34:
	In refresh loop, when we're on a space we check w/o FG colour, unless we're
	inversed then we check w/o BG colour & inverse attribute and move the FG
	colour into the BG colour position.

	* src/main.c 1.55:
	Must check position of TermWin.parent too, if we're transparent.  As
	demonstrated by Shade function in AfterStep.

	* src/command.c 1.56:
	Transparency can't take advantage of CNQueue - yet.  Needs x,y info

	* src/screen.c 1.63: Prototype scr_clear()

	* src/xpm.c 1.26: Fix XSync() arg

1998-12-31  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.55, src/main.c 1.54:
	Look for AfterStep background change and handle appropriately.  From
	Sasha Vasko <sashav@sprintmail.com>

	* configure 1.33: Regenerate

	* src/xpm.c 1.25, src/rxvt.h 1.33, src/screen.c 1.62, src/scrollbar.c 1.17, src/xdefaults.c 1.30, src/command.h 1.9, src/feature.h 1.17, src/main.c 1.53, src/command.c 1.54, autoconf/acconfig.h 1.19, autoconf/config.h.in 1.23, autoconf/configure.in 1.33:
	Integrate NeXTstep scrollbar and transparency additions from
	Alfredo K. Kojima <kojima@windowmaker.org>

1998-12-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.26:
	Distribute *.intpro and *.extpro - don't presume people have sane enough
	systems to be able to build them themselves.

1998-12-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.32: Rs_cutchars is required.

1998-12-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.25: sed -> $(SED)

1998-12-03  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.16, src/rxvt.h 1.31:
	Add minimum scrollbar height.  Fixes bug noticed by
	Brian Korver <briank@cs.stanford.edu>

1998-11-26  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.24: Missing $

	* src/rsizes.h.in 1.2: Magic move: wrong name: rsizes.h -> rsizes.h.in

	* src/screen.c 1.61: Cosmetic change.

	* configure 1.32: Regenerate

	* autoconf/configure.in 1.32:
	Make default long not long long.  So do checking against long long as well.

	* configure 1.31: Regenerate

	* src/graphics/Makefile.in 1.3, doc/Makefile.in 1.10, rclock/Makefile.in 1.3, Makefile.in 1.4:
	Add .PATH

	* src/Makefile.in 1.23: Be nicer to more shells

	* src/makeextprotos-awk 1.6, src/makeintprotos-awk 1.6:
	Remove old stuff

	* src/makeextprotos-awk 1.5, src/makeintprotos-awk 1.5:
	Be nicer to other awks

	* src/Makefile.in 1.22: Add srcdir for proto generation

	* autoconf/config.h.in 1.22, autoconf/configure.in 1.31:
	Go back to using X_PATH_XTRA() but don't pull in X_PRE_LIBS

1998-11-25  Geoff C. Wing  <gcw@rxvt.org>

	* configure 1.30: Regenerate

	* src/rmemset.c 1.16, src/rsizes.h.in 1.1, src/rxvt.h 1.30, src/screen.c 1.60, src/screen.h 1.8, src/Makefile.in 1.21, src/command.h 1.8, autoconf/acconfig.h 1.18, autoconf/config.h.in 1.21, autoconf/configure.in 1.30:
	Do a different test for sizes of 16bit (2 byte), 32bit (4 byte), etc.
	Check if we've already typedef'd  int16_t  et al.  Otherwise, typedef
	them in src/rsizes.h

	* Makefile 1.12: Regenerate

	* src/version.h 1.11: Bump version to 2.4.11

1998-11-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.59:
	Fix how hate_those_clicks works on initial click.  selection.beg and
	selection.end are set at 0 at the start so be careful to either set or
	use the mark position.  May need to rethink setting selection.{beg,end}
	Fixes problem noted by Paul Slootman <paul@wau.mis.ah.nl>

	* src/misc.c 1.18: Cast the octal value from int to char.

	* src/misc.c 1.17:
	Better fix octal reading before anyone notices it's broken.

	* src/command.c 1.53: Remove double comment

	* doc/BUGS 1.6: Describe problem with menubar autoraising better.

1998-11-22  Geoff C. Wing  <gcw@rxvt.org>

	* doc/BUGS 1.5: Verbose

1998-11-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.52:
	Close off any file descriptors we don't actually use in rxvt (not the
	child) and set num_fds to be our maximum (plus one) file descriptor
	so that select() only passes over those ones.  Maybe in future, look
	at something better that FD_ZERO in cmd_getc() all the time.

1998-11-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.51: Typo is #ifdef .  Define variable for loop.

	* src/screen.c 1.58:
	Initialise selection.len or we can coredump if paste after ESC-c

	* src/logging.h 1.5:
	Protect logging.intpro inclusion by #ifdef UTMP_SUPPORT

1998-11-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.57:
	Have to do foreground and background cursor colour settings
	separately.

	* src/makeextprotos-awk 1.4, src/makeintprotos-awk 1.4:
	Got carried away quoting.  Remove the incorrect backslashes.

	* src/makeextprotos-awk 1.3, src/makeintprotos-awk 1.3:
	Try different escaping method

1998-11-18  Geoff C. Wing  <gcw@rxvt.org>

	* Makefile 1.11: Regenerate

	* autoconf/Make.common.in 1.6: Remove RCS Id tag

	* doc/Makefile.in 1.9: Dependences

	* Makefile 1.10: Regenerate

	* src/version.h 1.10: can we spell?  s/NOVERMBER/NOVEMBER/

	* src/version.h 1.9: bump version to 2.4.10

	* doc/changes.txt 1.9: note changes

	* src/xpm.c 1.24: Remove testing stuff which was committed accidentally

1998-11-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.23: Merge in branch: fix-bufpixmap

	* src/screen.c 1.56, src/feature.h 1.16, src/main.c 1.52, src/rxvt.h 1.29:
	Optimisation for local display

	* src/screen.c 1.55: Try to do fewer XDrawString() type calls.

	* src/main.c 1.51: Move scr_touch() out of xpm.c

	* configure 1.29: Regenerate

	* autoconf/Make.common.in 1.5, autoconf/config.h.in 1.20, autoconf/configure.in 1.29:
	Use AC_PATH_X not AC_PATH_XTRA so we don't link in libSM and libICE

	* src/command.c 1.50: Small cleanups.

	* src/misc.c 1.16: Clean up.  Rewrite part of Str_escaped()

1998-11-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.15:
	Optimise button drawing w.r.t. space - combine two similar functions

	* src/screen.c 1.54: Fix scr_printscreen()

	* src/command.c 1.49, src/main.c 1.50: Clean up.  Trim the fat.

	* src/screen.c 1.53, src/screen.h 1.7:
	Move some items from screen.h to screen.c

	* src/xpm.c 1.22: Make xpmAttr static, thus local.

	* src/main.c 1.49, src/menubar.c 1.24, src/scrollbar.c 1.14:
	Fix up geometry calculations and mapping order

	* src/main.c 1.48: Move routines a bit.  Small cleanup.

	* src/main.c 1.47, src/menubar.c 1.23, src/rxvt.h 1.28, src/scrollbar.c 1.13:
	Reorganise code for mapping of windows.  Remove delay_menu_drawing hack.
	Still more to do.

	* src/command.c 1.48, src/command.h 1.7:
	Remove dynamic allocation of cmdbuf_base[].  Make as BSS

	* src/xdefaults.c 1.29, src/xpm.c 1.21, src/misc.c 1.15, src/screen.c 1.52, src/graphics.c 1.17, src/main.c 1.46, src/menubar.c 1.22, src/command.c 1.47:
	Const poisoning.  Rearrange main.c a bit.

	* src/rxvt.h 1.27: Const poisoning.

1998-11-15  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.h 1.6, src/command.c 1.46:
	Dynamic allocation of  cmdbuf_base

	* src/menubar.c 1.21, src/misc.c 1.14, src/xpm.c 1.20:
	Dynamic allocation in  File_search_path(), thus File_find() now returns
	a string which needs to be free()d.

	* src/screen.c 1.51, src/xdefaults.c 1.28, src/command.c 1.45, src/graphics.c 1.16, src/main.c 1.45:
	Cast formatting.  Const poisoning.  Small cleanups.

	* src/feature.h 1.15: Allow PRINT_PIPE by default

	* src/command.c 1.44: proto format

	* src/screen.c 1.50:
	Cleanup blank_screen_mem() and slight macro name change

	* src/command.c 1.43, src/graphics.c 1.15, src/screen.c 1.49:
	Cast arg 1 in tt_printf() calls

	* src/makeintprotos-awk 1.2, src/makeextprotos-awk 1.2:
	Format returns slightly nicer

	* src/xpm.c 1.19, src/logging.c 1.6, src/main.c 1.44, src/menubar.c 1.20, src/screen.c 1.48, src/xdefaults.c 1.27, src/command.c 1.42, src/graphics.c 1.14:
	Const poisoning and small protos cleanup

	* src/makeextprotos-awk 1.1, src/makeintprotos-awk 1.1:
	Awk versions of makeextprotos-sed and makeintprotos-sed

	* src/Makefile.in 1.20: Use awk not sed to generate protos

	* configure 1.28: Regenerate

	* autoconf/Make.common.in 1.4, autoconf/configure.in 1.28:
	Check for AWK as well.

1998-11-13  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.26: usage(): output "graphics" if compiled in

	* src/screen.c 1.47: Remove unused change to rendition pointer.

	* src/graphics/qplot.c 1.3, src/graphics/grxlib.c 1.3:
	Remove rcsid[].  Add commented Id strings.

	* src/main.c 1.43: Missing #ifdef XPM_BACKGROUND and #if (MENUBAR_MAX)

1998-11-12  Geoff C. Wing  <gcw@rxvt.org>

	* src/scrollbar.c 1.12, src/xdefaults.c 1.25, src/xpm.c 1.18, src/grkelot.c 1.10, src/logging.c 1.5, src/main.c 1.42, src/menubar.c 1.19, src/misc.c 1.13, src/netdisp.c 1.9, src/rmemset.c 1.15, src/screen.c 1.46, src/command.c 1.41, src/graphics.c 1.13:
	Add back Id strings, as comments this time.

	* src/screen.c 1.45:
	Invert selection before checking for bold overstrike pixel droppings.

	* src/feature.h 1.14, src/main.c 1.41:
	Allow setting of basic colours in feature.h

	* src/grkelot.h 1.4, src/logging.c 1.4, src/main.c 1.40, src/misc.c 1.12, src/netdisp.c 1.8, src/rmemset.c 1.14, src/screen.c 1.44, src/xdefaults.c 1.24, src/xpm.c 1.17, src/command.c 1.40, src/graphics.c 1.12, src/grkelot.c 1.9:
	Copyright notice changes.

1998-11-11  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.39, src/misc.c 1.11:
	Clean up.  Be nicer with assignments.

1998-11-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/xdefaults.c 1.23: Tidy const some more.

	* src/main.c 1.39: Fix up consts.

	* src/xdefaults.c 1.22: Rearrange optList[] a bit.  Fix up consts.

	* src/command.c 1.38, src/screen.c 1.43:
	Swap scroll_text() and scr_scroll_text() so that scr_scroll_text() is now
	the external call name.

1998-11-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.38, src/netdisp.c 1.7:
	Fix up DISPLAY_IS_IP - #ifdef in the wrong spot, and fix a couple of
	assignments

	* src/main.c 1.37, src/xdefaults.c 1.21: Add some /* NOTREACHED */

1998-11-02  Geoff C. Wing  <gcw@rxvt.org>

	* doc/LSM.in 1.4: Update size

	* Makefile 1.9: Regen.

	* src/version.h 1.8: bump version to 2.4.9

1998-10-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.19, src/main.c 1.36, src/version.h 1.7:
	No ident strings

	* doc/changes.txt 1.8: Update

	* Makefile 1.8: Regen

	* src/main.c 1.35: Remove identstring[]

	* src/version.h 1.6: Bump to 2.4.8b

	* src/Makefile.in 1.18: Fix dependencies on version.h

	* configure 1.27: Regenerate

	* autoconf/config.h.in 1.19: Regen.

	* src/logging.c 1.3, src/logging.h 1.4, autoconf/acconfig.h 1.17, autoconf/configure.in 1.27:
	Try harder to detect utmp/utmpx stuff

1998-10-28  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/rxvtRef-xpm.yo 1.6:
	Revert - reflects current & old behaviour

1998-10-26  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.37: Malloc on fly some tmp stuff.  Bound it.

	* src/xpm.c 1.16, src/graphics.c 1.11, src/grkelot.c 1.8, src/logging.c 1.2, src/main.c 1.34, src/menubar.c 1.18, src/misc.c 1.10, src/netdisp.c 1.6, src/rmemset.c 1.13, src/screen.c 1.42, src/scrollbar.c 1.11, src/xdefaults.c 1.20, src/command.c 1.36:
	Remove rcsid[] strings - just leave one in main.c

	* src/xdefaults.c 1.19, src/menubar.c 1.17, src/misc.c 1.9, src/rxvt.h 1.26, src/screen.c 1.41, src/command.c 1.35, src/main.c 1.33:
	Resource variable name change.  Also set up resource variables in one for() loop,
	rather than scattered everywhere.

	* src/command.c 1.34, src/command.h 1.5, src/main.c 1.32, src/rxvt.h 1.25:
	Move window_ops() from main.c to command.c as process_window_ops()

	* src/graphics.c 1.10:
	Gr_ButtonReport() is accessed externally, so change INTPROTO -> EXTPROTO

	* src/screen.c 1.40:
	In OLD_SELECTION, we run around the mark, not the beginning.

	* src/command.c 1.33: Free X modifier map after we're finished with it.

	* autoconf/config.h.in 1.18, configure 1.26: Regenerate

	* README.configure 1.6: Recomment for --disable-{new,old}-selection

	* src/screen.h 1.6, src/xdefaults.c 1.18, doc/yodl/rxvt-resources.yo 1.11, src/main.c 1.31, src/rxvt.h 1.24, src/screen.c 1.39, autoconf/acconfig.h 1.16, autoconf/configure.in 1.26:
	Allow compilation of old_selection/old_word_selection/new_selection
	Choice via resource 'selectstyle' - defaults to new.  Possible settings
	"OLD" and "OLDWORD" (case insensitive).

	* src/Makefile.in 1.17: Another go at dependencies

	* src/Makefile.in 1.16: Get this dependency stuff working.

	* src/command.c 1.32, src/main.c 1.30, src/rxvt.h 1.23, src/xdefaults.c 1.17, doc/yodl/rxvt-resources.yo 1.10:
	Probe for Meta and NumLock mappings.
	ModMeta and ModNumLock resources have gone away.

1998-10-24  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.h 1.3, src/misc.c 1.8, src/netdisp.h 1.3, src/protos.h 1.7, src/rmemset.c 1.12, src/screen.c 1.38, src/scrollbar.c 1.10, src/xdefaults.c 1.16, src/xpm.h 1.4, src/Makefile.in 1.15, src/command.h 1.4, src/graphics.c 1.9, src/grkelot.c 1.7, src/logging.h 1.3, src/main.c 1.29, configure 1.25, autoconf/configure.in 1.25:
	Don't like this protos directory procedure

	* src/command.c 1.31, src/feature.h 1.13:
	Make scrolling via mouse wheel smoother

	* autoconf/config.h.in 1.17, configure 1.24: Regenerate

	* src/command.h 1.3, autoconf/acconfig.h 1.15, autoconf/configure.in 1.24, src/command.c 1.30:
	Better checking for Xsetlocale(), setlocale() from
	Stanislav Meduna <stano@trillian.eunet.sk>

1998-10-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.14: Change dependencies

	* src/Makefile.in 1.13: Clean up.

	* src/Makefile.in 1.12: Different method of not overmaking targets

	* autoconf/Make.common.in 1.3, autoconf/configure.in 1.23, Makefile 1.7, configure 1.23:
	Add checks for ECHO and CMP

	* src/main.c 1.28, src/protos.h 1.6: Clean up #ifdef DISPLAY_IS_IP

	* src/menubar.c 1.16:
	Now that we know which are internal routines, improve placement of #ifdef's

	* src/rmemset.c 1.11: Cast type correctly

	* src/screen.c 1.37: Remove unused variable

	* src/main.c 1.27: Lint picking

	* src/Makefile.in 1.11: Whoops.  Wrong target in protos/

	* Makefile 1.6: Regen

	* doc/Makefile.in 1.8: Update distribution list

	* doc/yodl/versioninfo.yo 1.6: Generated file

	* configure 1.22, autoconf/configure.in 1.22: Subst some more files.

	* doc/Makefile.in 1.7: Clean up some srcdir's

	* doc/yodl/rxvtRef.yo.in 1.2: yucky chdir()

	* doc/yodl/rxvt.yo.in 1.2: Twisted are the ways of vpaths

	* doc/yodl/rxvt.yo.in 1.1, doc/yodl/rxvtRef.yo.in 1.1:
	Have to set paths at configure time.

	* doc/yodl/rxvt.yo 1.3, doc/yodl/rxvtRef.yo 1.3:
	Have to set paths at configure time

	* src/Makefile.in 1.10: Typo

	* src/Makefile.in 1.9: it's ``be kind to gmake week''

	* src/Makefile.in 1.8: Handle dependence better

	* src/logging.h 1.2, src/main.c 1.26, src/menubar.h 1.2, src/misc.c 1.7, src/netdisp.h 1.2, src/protos.h 1.5, src/rmemset.c 1.10, src/screen.c 1.36, src/scrollbar.c 1.9, src/xdefaults.c 1.15, src/xpm.h 1.3, src/Makefile.in 1.7, src/command.h 1.2, src/graphics.c 1.8, src/grkelot.c 1.6:
	Rearrange protos into their own directory.

1998-10-21  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.h 1.2, src/xpm.c 1.15: Cleanup.

	* src/makeprotos-sed 1.3:
	Changed to similar files: makeintprotos-sed & makeextprotos-sed

	* src/utmp.c 1.5, src/scrollbar.c 1.8, src/xdefaults.c 1.14, src/xpm.c 1.14, src/rmemset.c 1.9, src/screen.c 1.35, src/command.c 1.29, src/graphics.c 1.7, src/grkelot.c 1.5, src/logging.c 1.1, src/main.c 1.25, src/menubar.c 1.15, src/misc.c 1.6, src/netdisp.c 1.5, src/Makefile.in 1.6, src/command.h 1.1, src/feature.h 1.12, src/logging.h 1.1, src/menubar.h 1.1, src/netdisp.h 1.1, src/protos.h 1.4, src/rxvt.h 1.22, src/xpm.h 1.1:
	Reorganise source:
	Change PROTO to INTPROTO or EXTPROTO depending on whether it is only called
	from this source file or also from external files.
	Move unnecessary stuff out of common rxvt.h into own local header files.

	* src/makeextprotos-sed 1.1, src/makeintprotos-sed 1.1:
	Break up protos into those for local and external use

	* doc/rxvtRef.txt 1.7, doc/rxvt.1 1.11, doc/rxvt.html 1.10, doc/rxvt.pretbl 1.4, doc/rxvtRef.html 1.6:
	Generated files.  Don't bother keeping in CVS.

	* doc/Makefile.in 1.6: rename rxvt.pretbl to rxvt.tbl

1998-10-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.14:
	change debug printf() to fprintf(stderr,) - reindent file.

1998-10-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.34:
	blend make_screen_mem()/blank_line() into  blank_screen_mem() to make us
	a bit safer.  Rename scroll_text() to scr_scroll_text() and make
	scroll_text() a somewhat safer (w.r.t. memory allocation) counterpart.

	* src/command.c 1.28:
	Add CSI "T","^" and CSI "S" for scroll/pan down and scroll up

	* src/main.c 1.24: Window reporting functions a la XTerm

	* src/command.c 1.27, src/main.c 1.23, src/rxvt.h 1.21, src/screen.c 1.33:
	Clean up some const-ness

1998-10-06  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.26: Typos in cursor movement via CSI "A"

	* src/command.c 1.25:
	Typos in cursor movement via CSI "E" & "F": CPL & CNL

	* src/feature.h 1.11: Add NO_FRILLS define

1998-10-05  Geoff C. Wing  <gcw@rxvt.org>

	* src/main.c 1.22:
	Change CNQueue manipulation slightly.  Better check on screen resizing.

	* src/command.c 1.24, src/main.c 1.21:
	Clean up CSI number passing.  Discard ConfigureNotify events we caused.
	Handle certain CSI window operations a la XTerm.

1998-10-02  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.23, src/screen.c 1.32:
	Fix scr_tab() - though not yet parsing for scr_tab(0)
	Add DECBI/DECFI backindex/forwardindex

1998-10-01  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.13: Resize menubar triangles.

	* src/screen.c 1.31: Fix outline cursor position calculation and check.

	* src/command.c 1.22:
	Rename rs_modifier to rs_modmeta.  Add rs_modnumlock.
	Clean up some left over Mod1Mask bogons.  Fix up mouse reporting.

	* src/rxvt.h 1.20, doc/yodl/rxvt-resources.yo 1.9, src/main.c 1.20, src/xdefaults.c 1.13:
	Rename rs_modifier to rs_modmeta.  Add rs_modnumlock.

	* src/menubar.c 1.12:
	Add a pixel vertical space on either side of text.
	Use a couple of macros to clarify.

1998-09-30  Geoff C. Wing  <gcw@rxvt.org>

	* src/menubar.c 1.11:
	Fix up menubar display - some funny calculations were going on previously

	* src/main.c 1.19, src/misc.c 1.5, src/command.c 1.21: Tidy up.

	* src/menubar.c 1.10:
	Change calculations for separator lines so HALFSHADOW also works.

1998-09-26  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/acconfig.h 1.14, autoconf/config.h.in 1.16, autoconf/configure.in 1.21, configure 1.21:
	Readd --disable-resources  and fix typo

	* src/screen.c 1.30: More diligent in checking selection

1998-09-24  Geoff C. Wing  <gcw@rxvt.org>

	* doc/TODO 1.6: update.

	* src/main.c 1.18: Interpret backspace/delete resources

	* rxvt-2.4.6.lsm 1.3: Don't want this.

	* doc/LSM.in 1.3, doc/rxvt.1 1.10, doc/rxvt.html 1.9, doc/rxvt.pretbl 1.3, doc/yodl/versioninfo.yo 1.5, Makefile 1.5:
	Version 2.4.8

	* src/version.h 1.5: bump version to 2.4.8

	* src/xdefaults.c 1.12: Change reporting of backspace/delete

	* README.configure 1.5: Document backspace/delete --enable/--disable

	* autoconf/configure.in 1.20, configure 1.20: Tidy spacing

	* src/command.c 1.20: Shouldn't set PrivMode_BackSpace initially.

	* doc/changes.txt 1.7: Update

	* doc/yodl/rxvt-resources.yo 1.8, doc/rxvt.1 1.9, doc/rxvt.html 1.8, doc/rxvt.pretbl 1.2:
	Document resources `backspacekey' and `deletekey'

	* src/command.c 1.19, src/feature.h 1.10, src/main.c 1.17:
	Better handling of backspace - now use traditional settings if the
	resource is unset.

	* src/rxvt.h 1.19, src/xdefaults.c 1.11, src/command.c 1.18, src/feature.h 1.9, src/main.c 1.16:
	Make backspace/delete key handling configurable via resources

	* autoconf/acconfig.h 1.13, autoconf/config.h.in 1.15, autoconf/configure.in 1.19, configure 1.19:
	Reverse handling of backspace/delete keys (and it was broken anyway)

	* autoconf/acconfig.h 1.12, autoconf/config.h.in 1.14, autoconf/configure.in 1.18, configure 1.18:
	Add --enable-backspace and --enable-delete

	* src/command.c 1.17: Use NO_SETLOCALE define and cleanup.

	* autoconf/acconfig.h 1.11, autoconf/config.h.in 1.13, autoconf/configure.in 1.17, configure 1.17:
	Add check for setlocale() - which usually gets defined to _Xsetlocale() by X

	* src/command.c 1.16: Cleanup init_xlocale() a bit

	* src/main.c 1.15:
	Don't change pointer colour on change of default fg colour.

	* src/screen.c 1.29: Better bounds comparison in scroll_text()

	* src/screen.c 1.28:
	selection_extend_colrow() - hmm, why were we setting begin to mark if we're
	in the first line?

	* src/screen.c 1.27:
	Clean up some MULTICHAR_SET stuff.  Fix cursor for MULTICHAR_SET

	* src/screen.c 1.26:
	Avoid leaving an out-of-date outline cursor on the screen

1998-09-23  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.25: More selection checks: scr_erase_screen()

	* src/screen.c 1.24: Clean up some selection checks

	* src/screen.c 1.23:
	Try a better selection check in scr_add_lines() - check for writing inside
	a selection area.
	Remove bogon #ifdef CHAR_SETS

1998-09-22  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.22: Keep the reverse video when resizing the screen

	* src/screen.c 1.21, src/screen.h 1.5:
	Moved too much into screen.h so move some back.

	* src/screen.c 1.20:
	Have to set the selection screen when we _start_ selecting.

	* src/screen.c 1.19: Forgot to set default flags for swap screen.

	* src/screen.c 1.18, src/screen.h 1.4, src/rxvt.h 1.18:
	Change some types

	* INSTALL 1.6: Update notes about editing config.h on cross-compile

	* src/screen.c 1.17: Cleanup.

	* src/Makefile.in 1.5: Add distribution of screen.h
	Depend screen.c on screen.h

	* src/screen.c 1.16: Clean up multichar handling of cursor display.
	Fix scr_insdel_lines() shifting selection.
	Break up selection reversing screen.rend into its own routine.

	* src/screen.h 1.3: Remove unused variables

	* src/rxvt.h 1.17, src/screen.c 1.15, src/screen.h 1.2, src/main.c 1.14:
	Remove RS_Cursor/RS_Select - handle differently
	Default cursorColor/cursorColor2/colorBD/colorUL to the appropriate
	_current_ settings if unset.

	* src/screen.h 1.1:
	Split up some defines for screen.c - allow manipulation from outside.

	* src/xdefaults.c 1.10, src/rxvt.h 1.16:
	Start removing CHAR_SETS - always have ACS graphics/UK char sets now
	that RS_Cursor and RS_Select are being removed.
	Split some of rxvt.h into screen.h - make import of Nat Friedman's Dingus
	easier.

	* autoconf/acconfig.h 1.10, autoconf/config.h.in 1.12, autoconf/configure.in 1.16, README.configure 1.4, configure 1.16:
	Remove --enable-small : it is now automatic

	* autoconf/configure.in 1.15, configure 1.15:
	Report on which types will be used for 16bit/32bit/pointer

1998-09-21  Geoff C. Wing  <gcw@rxvt.org>

	* autoconf/acconfig.h 1.9, autoconf/config.h.in 1.11, autoconf/configure.in 1.14, src/rmemset.c 1.7, src/rxvt.h 1.15, configure 1.14:
	Move size type checking into configure

	* autoconf/config.h.in 1.10, autoconf/configure.in 1.13, configure 1.13:
	Add check for sizeof(int *)

	* src/screen.c 1.14: Not again, and it's #if not #ifdef

	* src/screen.c 1.13: Whoops, NSWAP is really NSCREENS

	* doc/TODO 1.5: Fixed Xlocale.
	Add note about char/short/int/long sizes

	* src/Makefile.in 1.4, src/command.c 1.15:
	Remove DEBUG_SELECTION define

1998-09-20  Geoff C. Wing  <gcw@rxvt.org>

	* INSTALL 1.5: Update info about doc/rxvt.pretbl

	* doc/Makefile.in 1.5: Remove RMF in rxvt.1 rule

	* doc/Makefile.in 1.4:
	Make rxvt.pretbl a target and depend rxvt.1 on it.

	* src/xpm.c 1.13: Resurrect negative positioning.

	* src/main.c 1.13: Remove inline's

	* Makefile.in 1.3: Distribute README.configure

	* INSTALL 1.4, README.configure 1.3:
	Update memory stuff a bit and point INSTALL to README.configure

	* doc/rxvt.pretbl 1.1: Manual page before being run through tbl

	* doc/yodl/rxvt-resources.yo 1.7, doc/rxvt.1 1.8, doc/rxvt.html 1.7:
	Document modifier resource

	* doc/Makefile.in 1.3: Depend rxvt.1 better and leave pre-tbl version

	* configure 1.12, autoconf/configure.in 1.12:
	Fix check for Xlocale stuff.
	Be a bit nicer on cross compiles

	* src/rxvt.h 1.14: rmemset() uses longs now, not integers

	* src/rmemset.c 1.6: Use longs now, not integers.

	* src/xpm.c 1.12:
	scale_pixmap() returns 0 if XPM_BACKGROUND not defined

1998-09-19  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.11: Cleanup.

	* doc/changes.txt 1.6: Refix XPM position

	* src/xpm.c 1.10, doc/yodl/rxvt-resources.yo 1.6, doc/yodl/rxvtRef-xpm.yo 1.5, doc/rxvt.html 1.6, doc/rxvtRef.html 1.5, doc/rxvtRef.txt 1.6, doc/rxvt.1 1.7:
	Refix handling of positioning in pixmap geometry

	* README.configure 1.2: Document --enable-half-shadow

	* src/feature.h 1.8: Turn off SB_BORDER by default

	* doc/changes.txt 1.5: sync

	* src/main.c 1.12:
	Border pixel should be foreground colour, not background colour

	* autoconf/acconfig.h 1.8, autoconf/configure.in 1.11, src/feature.h 1.7, configure 1.11:
	Move HALFSHADOW from src/feature.h to ./configure

	* src/command.c 1.14: Formatting

	* autoconf/config.h.in 1.9:
	Regen OLD_SELECTION, OLD_WORD_SELECTION, HALFSHADOW

	* doc/yodl/rxvt-resources.yo 1.5, doc/rxvt.1 1.6, doc/rxvt.html 1.5, src/rxvt.h 1.13, src/xdefaults.c 1.9, src/main.c 1.11, src/scrollbar.c 1.7:
	Add troughColor and appropriate resource as colour of scrollbar trough area

	* doc/BUGS 1.4: Note bug in selection with swap screen use.

	* doc/BUGS 1.3: Fixed XPM

	* doc/TODO 1.4: Update to current status.

	* README.configure 1.1:
	Start adding slightly better documentation for the ./configure options

	* autoconf/configure.in 1.10, src/feature.h 1.6, configure 1.10:
	Move OLD_SELECTION and OLD_WORD_SELECTION into ./configure

	* autoconf/configure.in 1.9, configure 1.9:
	Stupidly used the wrong enable names in autoconf/configure.in

	* autoconf/acconfig.h 1.7, autoconf/config.h.in 1.8, autoconf/configure.in 1.8, src/feature.h 1.5, configure 1.8:
	Move USE_XGETDEFAULTS and NO_RESOURCES from src/feature.h to ./configure

1998-09-15  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.9: Clean up code/comments

1998-09-14  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.12:
	Display fixes.  Pixel dropping fix - now go backwards in the check since we
	don't want to overwrite what we're going to test next.

1998-09-04  Geoff C. Wing  <gcw@rxvt.org>

	* doc/changes.txt 1.4: Document XPM changes

	* doc/rxvt.1 1.5, doc/yodl/rxvt-resources.yo 1.4, doc/yodl/rxvtRef-xpm.yo 1.4, src/xpm.c 1.8, doc/rxvtRef.txt 1.5, doc/rxvt.html 1.4, doc/rxvtRef.html 1.4:
	Change default XPM geom to 0x0-0-0:
	x/y position of -0 means centre pixmap in that axis

	* doc/yodl/rxvt-resources.yo 1.3, doc/yodl/rxvtRef-xpm.yo 1.3, src/xpm.c 1.7, doc/rxvt.1 1.4, doc/rxvtRef.txt 1.4:
	Change XPM geometry defaults and handling.  When not tiled in a direction
	  then a position of 0 means centred.  Handle negative positions as being from
	  the right/bottom of the window.
	Use X's tiling for base tiling.  We should use more of it (future changes)

1998-08-29  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.11, src/scrollbar.c 1.6, src/xdefaults.c 1.8, src/xpm.c 1.6, src/graphics.c 1.6, src/main.c 1.10, src/menubar.c 1.9, src/rxvt.h 1.12, src/command.c 1.13:
	Update colour name definitions

1998-08-28  Geoff C. Wing  <gcw@rxvt.org>

	* doc/TODO 1.3: More stuff

	* doc/changes.txt 1.3: Update for 2.4.7

	* src/feature.h 1.4: No default FORCE_*

	* Makefile 1.4, configure 1.7: Regenerate

	* src/grkelot.h 1.3: nitpick

	* doc/yodl/versioninfo.yo 1.4, doc/rxvt.1 1.3, doc/rxvt.html 1.3, doc/rxvtRef.html 1.3, doc/rxvtRef.txt 1.3:
	Regenerate

	* autoconf/acconfig.h 1.6, autoconf/config.h.in 1.7, autoconf/configure.in 1.7, src/rxvt.h 1.11:
	Rename SMALL to SMALLREND

	* src/xdefaults.c 1.7, src/xpm.c 1.5, src/scrollbar.c 1.5, src/utmp.c 1.4, src/misc.c 1.4, src/netdisp.c 1.4, src/rmemset.c 1.5, src/screen.c 1.10, src/graphics.c 1.5, src/grkelot.c 1.4, src/main.c 1.9, src/menubar.c 1.8, src/command.c 1.12:
	Attribute authors better

	* src/version.h 1.4: bump version to 2.4.7

1998-08-10  Geoff C. Wing  <gcw@rxvt.org>

	* src/xpm.c 1.4, src/rxvt.h 1.10: Move xpm.h include into xpm.c

	* src/screen.c 1.9, src/command.c 1.11: Clean up some prototypes.

1998-08-09  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.8: Fix test which was changed with RS_Dirty removal.

	* autoconf/config.h.in 1.6: RMEMSET

1998-08-08  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.7: Whoops.  Set **drawn_text to 0, not OR it

	* src/rxvt.h 1.9, autoconf/configure.in 1.6, autoconf/acconfig.h 1.5, configure 1.6:
	Add --disable-memset routine to use system's memset routine.

	* src/screen.c 1.6, src/rxvt.h 1.8, autoconf/configure.in 1.5, autoconf/config.h.in 1.5, autoconf/acconfig.h 1.4, configure 1.5:
	First cut --enable-small to shrink rend_t if possible

	* src/xpm.c 1.3, src/menubar.c 1.7:
	Clean up some #ifdef's to commit out procedure body's

	* autoconf/configure.in 1.4, autoconf/config.h.in 1.4, configure 1.4, INSTALL 1.3:
	Check for sizeof(char), sizeof(short), sizeof(long)

	* src/scrollbar.c 1.4, src/menubar.c 1.6, src/main.c 1.8:
	Move some stuff out of main.c into menubar.c & scrollbar.c

	* src/graphics.c 1.4, src/rxvt.h 1.7:
	Move XPM defines out of graphics.c

	* src/main.c 1.7: Remove some XPM and MenuBar stuff.

	* src/menubar.c 1.5: Move map_menuBar() here

	* src/xdefaults.c 1.6: Indent

	* src/command.c 1.10, src/feature.h 1.3, configure 1.3, autoconf/configure.in 1.3, autoconf/config.h.in 1.3, autoconf/acconfig.h 1.3:
	Move some options into configure

1998-08-07  Geoff C. Wing  <gcw@rxvt.org>

	* src/Makefile.in 1.3: Add xpm.c stuff

	* src/main.c 1.6, src/xpm.c 1.2: Id

	* src/protos.h 1.3: Add xpm.pro

	* src/main.c 1.5: Split XPM only routines out of here

	* src/xpm.c 1.1: Split XPM only routines out of main.c

1998-07-28  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.6, src/xdefaults.c 1.5, src/scrollbar.c 1.3, src/utmp.c 1.3, src/screen.c 1.5, src/misc.c 1.3, src/netdisp.c 1.3, src/rmemset.c 1.4, src/main.c 1.4, src/menubar.c 1.4, src/graphics.c 1.3, src/grkelot.c 1.3, src/command.c 1.9:
	Partially delint

	* src/screen.c 1.4: REMALLOC() -> REALLOC()

1998-07-20  Geoff C. Wing  <gcw@rxvt.org>

	* doc/yodl/versioninfo.yo 1.3, Makefile 1.3: 2.4.7a

	* src/version.h 1.3: bump version to 2.4.7a

	* doc/yodl/rxvtRef-menubar.yo 1.3: Typo

	* src/rxvt.h 1.5, src/menubar.c 1.3, src/xdefaults.c 1.4, src/command.c 1.8:
	REMALLOC() --> REALLOC()

1998-07-18  Geoff C. Wing  <gcw@rxvt.org>

	* src/command.c 1.7: REALLOC() --> REMALLOC()

1998-07-17  Geoff C. Wing  <gcw@rxvt.org>

	* src/screen.c 1.3: Be careful with swap too.

	* src/rmemset.c 1.3: Optimise slightly.

	* src/command.c 1.6: Small cleanup.

	* src/command.c 1.5: Let print mode accept ESC sequence variation:
	John E. Davis <davis@space.mit.edu>

1998-07-16  Geoff C. Wing  <gcw@rxvt.org>

	* src/rxvt.h 1.4, src/xdefaults.c 1.3, src/main.c 1.3, src/command.c 1.4:
	Meta Modifier selectable via resource:
	Guillaume Laurent <glaurent@worldnet.fr>

	* src/command.c 1.3: malloc() -> MALLOC()

1998-04-20  Geoff C. Wing  <gcw@rxvt.org>

	* src/graphics/README 1.2, src/graphics/data 1.2: Add rcsid[] strings

	* src/version.h 1.2: bump version to 2.4.6

	* src/.indent.pro 1.2, src/gcc-Wall 1.2, rclock/rclock.c 1.2, rclock/rclock.html 1.2, rclock/Makefile.in 1.2, rclock/feature.h 1.2, rclock/rclock.1.in 1.2, doc/menu/rxvt.menu 1.2, doc/menu/terminal.menu 1.2, doc/menu/menu 1.2, doc/menu/jedmenu.sl 1.2, doc/menu/example.menu 1.2, doc/etc/rxvt.termcap 1.2, doc/etc/rxvt.terminfo 1.2, doc/etc/XTerm.ad 1.2:
	Add rcsid[] strings

	* doc/rxvtRef.txt 1.2: *** empty log message ***

	* doc/rxvtRef-toc.html 1.2, doc/xterm.seq 1.2, doc/TODO 1.2, doc/changes.txt 1.2, doc/rxvtRef-frame.html 1.2, doc/LSM.in 1.2, doc/README.greek 1.2, doc/README.menu 1.2, doc/README.xvt 1.2, doc/BUGS 1.2, doc/FAQ 1.2, autoconf/acconfig.h 1.2, autoconf/install-sh 1.2, autoconf/mkinstalldirs 1.2:
	Add rcsid[] strings

	* rxvt-2.4.6.lsm 1.2: *** empty log message ***

	* INSTALL 1.2, configure 1.2, src/protos.h 1.2, src/rxvt.h 1.2, src/rxvtgrx.h 1.2:
	Add rcsid[] strings

	* src/makeprotos-sed 1.2: *** empty log message ***

	* src/feature.h 1.2, src/grkelot.h 1.2, src/command.c 1.2, src/graphics/grxlib.h 1.2, src/graphics/qplot.c 1.2, src/graphics/Makefile.in 1.2, src/graphics/grxlib.c 1.2, src/xdefaults.c 1.2:
	Add rcsid[] strings

	* src/utmp.c 1.2: *** empty log message ***

	* src/netdisp.c 1.2, src/rmemset.c 1.2, src/scrollbar.c 1.2, src/menubar.c 1.2, src/misc.c 1.2, src/main.c 1.2, src/graphics.c 1.2, src/grkelot.c 1.2, src/Makefile.in 1.2, doc/yodl/versioninfo.yo.in 1.2:
	Add rcsid[] strings

	* doc/yodl/rxvtRef.yo 1.2, doc/yodl/versioninfo.yo 1.2:
	*** empty log message ***

	* doc/yodl/rxvtRef-values.yo 1.2, doc/yodl/rxvtRef-xpm.yo 1.2, doc/yodl/rxvtRef-xterm.yo 1.2, doc/yodl/rxvtRef-mouse.yo 1.2, doc/yodl/rxvtRef-privatemodes.yo 1.2, doc/yodl/rxvtRef-sequences.yo 1.2, doc/yodl/rxvtRef-definitions.yo 1.2, doc/yodl/rxvtRef-graphics.yo 1.2, doc/yodl/rxvtRef-keycodes.yo 1.2, doc/yodl/rxvtRef-menubar.yo 1.2:
	Add rcsid[] strings

	* doc/yodl/rxvt.yo 1.2: *** empty log message ***

	* doc/yodl/rxvt-scrollbar.yo 1.2, doc/yodl/rxvt-textselection.yo 1.2, doc/yodl/rxvtRef-csi.yo 1.2, doc/yodl/rxvt-login.yo 1.2, doc/yodl/rxvt-mousereporting.yo 1.2, doc/yodl/rxvt-options.yo 1.2, doc/yodl/rxvt-resources.yo 1.2, doc/yodl/rxvt-colours.yo 1.2, doc/yodl/rxvt-environment.yo 1.2, doc/yodl/rxvt-files.yo 1.2, doc/yodl/rxvt-fonts.yo 1.2, doc/yodl/masonyodl.yo 1.2:
	Add rcsid[] strings

	* doc/rxvtRef.html 1.2, doc/rxvt.1 1.2, doc/rxvt.html 1.2:
	*** empty log message ***

	* doc/Makefile.in 1.2, autoconf/configure.in 1.2, autoconf/Make.common.in 1.2, autoconf/aclocal.m4 1.2, autoconf/config.h.in 1.2, Makefile 1.2, Makefile.in 1.2, src/screen.c 1.2:
	Add rcsid[] strings

	* doc/yodl/rxvtRef-xterm.yo 1.1, doc/yodl/versioninfo.yo 1.1, rclock/Makefile.in 1.1, rclock/feature.h 1.1, rclock/rclock.1.in 1.1, rclock/rclock.c 1.1, rclock/rclock.html 1.1, doc/menu/menu 1.1, doc/yodl/masonyodl.yo 1.1, doc/yodl/rxvt-colours.yo 1.1, doc/yodl/rxvt-environment.yo 1.1, doc/yodl/rxvt-files.yo 1.1, doc/yodl/rxvt-fonts.yo 1.1, doc/yodl/rxvt-login.yo 1.1, doc/yodl/rxvt-mousereporting.yo 1.1, doc/yodl/rxvt-options.yo 1.1, doc/yodl/rxvt-resources.yo 1.1, doc/yodl/rxvt-scrollbar.yo 1.1, doc/yodl/rxvt-textselection.yo 1.1, doc/yodl/rxvt.yo 1.1, doc/yodl/rxvtRef-csi.yo 1.1, doc/yodl/rxvtRef-definitions.yo 1.1, doc/yodl/rxvtRef-graphics.yo 1.1, doc/yodl/rxvtRef-keycodes.yo 1.1, doc/yodl/rxvtRef-menubar.yo 1.1, doc/yodl/rxvtRef-mouse.yo 1.1, doc/yodl/rxvtRef-privatemodes.yo 1.1, doc/yodl/rxvtRef-sequences.yo 1.1, doc/yodl/rxvtRef-values.yo 1.1, doc/yodl/rxvtRef-xpm.yo 1.1, doc/yodl/rxvtRef.yo 1.1, doc/yodl/versioninfo.yo.in 1.1, doc/BUGS 1.1, doc/FAQ 1.1, doc/README.greek 1.1, doc/README.menu 1.1, doc/README.xvt 1.1, doc/TODO 1.1, doc/changes.txt 1.1, doc/etc/XTerm.ad 1.1, doc/etc/rxvt.termcap 1.1, doc/etc/rxvt.terminfo 1.1, doc/menu/example.menu 1.1, doc/menu/jedmenu.sl 1.1, doc/menu/rxvt.menu 1.1, doc/menu/terminal.menu 1.1, doc/rxvt.html 1.1, doc/LSM.in 1.1, doc/Makefile.in 1.1, doc/rxvt.1 1.1, doc/rxvtRef-frame.html 1.1, doc/rxvtRef-toc.html 1.1, doc/rxvtRef.html 1.1, doc/rxvtRef.txt 1.1, doc/xterm.seq 1.1, src/graphics/Makefile.in 1.1, src/graphics/README 1.1, src/graphics/data 1.1, src/graphics/grxlib.c 1.1, src/graphics/grxlib.h 1.1, src/graphics/qplot.c 1.1, src/makeprotos-sed 1.1, src/command.c 1.1, src/graphics.c 1.1, src/grkelot.c 1.1, src/grkelot.h 1.1, src/main.c 1.1, src/menubar.c 1.1, src/misc.c 1.1, src/protos.h 1.1, src/rxvt.h 1.1, src/rxvtgrx.h 1.1, src/version.h 1.1, src/Makefile.in 1.1, src/gcc-Wall 1.1, src/netdisp.c 1.1, src/rmemset.c 1.1, src/screen.c 1.1, src/scrollbar.c 1.1, src/utmp.c 1.1, src/xdefaults.c 1.1, INSTALL 1.1, autoconf/Make.common.in 1.1, autoconf/acconfig.h 1.1, autoconf/aclocal.m4 1.1, autoconf/config.h.in 1.1, autoconf/configure.in 1.1, autoconf/install-sh 1.1, autoconf/mkinstalldirs 1.1, configure 1.1, rxvt-2.4.6.lsm 1.1, src/.indent.pro 1.1, src/feature.h 1.1, Makefile 1.1, Makefile.in 1.1:
	New file.

